package com.zanxiang.common.constant;

import java.math.BigDecimal;

/**
 * 通用常量信息
 *
 * @author ruoyi
 */
public class Constants {
    /**
     * UTF-8 字符集
     */
    public static final String UTF8 = "UTF-8";

    /**
     * GBK 字符集
     */
    public static final String GBK = "GBK";

    /**
     * http请求
     */
    public static final String HTTP = "http://";

    /**
     * https请求
     */
    public static final String HTTPS = "https://";

    /**
     * 登录成功
     */
    public static final String LOGIN_SUCCESS = "Success";

    /**
     * 注销
     */
    public static final String LOGOUT = "Logout";

    /**
     * 注册
     */
    public static final String REGISTER = "Register";

    /**
     * 登录失败
     */
    public static final String LOGIN_FAIL = "Error";

    /**
     * 当前记录起始索引
     */
    public static final String PAGE_NUM = "pageNum";

    /**
     * 每页显示记录数
     */
    public static final String PAGE_SIZE = "pageSize";

    /**
     * 排序列
     */
    public static final String ORDER_BY_COLUMN = "orderByColumn";

    /**
     * 排序的方向 "desc" 或者 "asc".
     */
    public static final String IS_ASC = "isAsc";

    /**
     * 验证码 redis key
     */
    public static final String CAPTCHA_CODE_KEY = "captcha_codes:";

    /**
     * 验证码有效期（分钟）
     */
    public static final long CAPTCHA_EXPIRATION = 5;

    /**
     * 最大令牌有效期（秒）
     */
    public final static long TOKEN_EXPIRE = 24 * 60 * 60;

    /**
     * 参数管理 cache key
     */
    public static final String SYS_CONFIG_KEY = "sys_config:";

    /**
     * 微信信息存储的前缀（所有 WxJava存储的信息都已这个开头）
     */
    public static final String WX_PREFIX = "wx:";

    /**
     * 微信预授权码前缀（存储用户 id）
     */
    public static final String WX_PRE_AUTH_PREFIX = "wx-auth:";

    /**
     * 微信延时消息列表的前缀:yyyy-MM-dd_HH:mm
     */
    public static final String WX_SEND_MSG = "wx-send-msg:";

    /**
     * 读取微信延时消息列表的锁
     */
    public static final String WX_SEND_MSG_LOCK = "wx-send-msg_lock:";

    /**
     * 刷新 access_token时的锁
     */
    public static final String AUTH_ACCESS_TOKEN_LOCK = "auth_access_token_lock:";

    /**
     * 字典管理 cache key
     */
    public static final String SYS_DICT_KEY = "sys_dict:";

    /**
     * 资源映射路径 前缀
     */
    public static final String RESOURCE_PREFIX = "/profile";

    public static final String SINGLE_USER = "single_user_";

    public static final String ROCKET_MQ_ORDER_MSG_KEY_KEFU = "sharding_key_kefu:";

    /**
     * 异步同步粉丝 Redis锁
     */
    public static final String ROCK_ASYNC_MP_FANS = "ROCK_ASYNC_MP_FANS_";

    public static final BigDecimal NUM_100 = new BigDecimal(100);

    public static final boolean ENABLE_NO = false;
    public static final boolean ENABLE_YES = true;

    /**
     * 异步消费时间的锁
     */
    public static final String ASYNC_SAVE_LOG_LAST_TIME = "ASYNC_SAVE_LOG_LAST_TIME";

    /**
     * 临时缓存 mpFansLog日志
     */
    public static final String MP_FANS_LOG_BUFFER = "MP_FANS_LOG_BUFFER";
    /**
     * 临时缓存的 mp_kefu_msg_exection_log日志
     */
    public static final String KEFU_MSG_EXECUTION_DETAIL_BUFFER = "KEFU_MSG_EXECUTION_DETAIL_BUFFER";

    /**
     * 客服消息执行日志的统计信息
     */
    public static final String KEFU_MSG_EXECUTION_LOG_STAT = "KEFU_MSG_EXECUTION_LOG_STAT";

    public static final String KEFU_STRATEGY_MQ_STAT = "KEFU_STRATEGY_MQ_STAT:";

    public static final String TEMPLATE_STRATEGY_MQ_STAT = "TEMPLATE_STRATEGY_MQ_STAT:";

    public static final String GROUP_STRATEGY_MQ_STAT = "GROUP_STRATEGY_MQ_STAT:";

    /**
     * 模板消息执行统计
     */
    public static final String TEMPLATE_SEND_DETAIL_STAT = "TEMPLATE_SEND_DETAIL_STAT:";

    /**
     * 模板消息回调执行统计
     */
    public static final String TEMPLATE_SEND_CALL_BACK_SUCCESS_STAT = "TEMPLATE_SEND_CALL_BACK_SUCCESS_STAT:";

    /**
     * 模板消息回调执行统计
     */
    public static final String TEMPLATE_SEND_CALL_BACK_FAILED_STAT = "TEMPLATE_SEND_CALL_BACK_FAILED_STAT:";

    /**
     * 模板消息发送日志，冒号后面加公众号 appid
     */
    public static final String TEMPLATE_SEND_LOG = "TEMPLATE_SEND_LOG:";

    public static final String REDIS_CACHE_PREFIX = "SpringCache:";

    /**
     * 网关账号信息缓存
     */
    public static final String REDIS_GATEWAY_ACCOUNT_INFO = "Gateway:AccountInfo";

    /**
     * 网关服务信息
     */
    public static final String REDIS_GATEWAY_SERVER_INFO = "Gateway:ServerInfo:";

    /**
     * 网关白名单列表
     */
    public static final String REDIS_GATEWAY_WHITE_URL = "Gateway:WhiteUrl:";

    /**
     * 已登录用户列表
     */
    public static final String REDIS_LOGIN_USER_LIST = "Gateway:LoginUserList:";


    /**
     * 成功
     */
    public static final String SUCCESS = "success";

    /**
     * 失败
     */
    public static final String FAIL = "fail";


}
