package com.zanxiang.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;
import java.util.Objects;

/**
 * @author : lingfeng
 * @time : 2022-06-30
 * @description : 实名认证平台
 */
@Getter
@AllArgsConstructor
public enum AuthPlatform {


    /**
     * 国家网络防沉迷
     */
    COUNTRY_PREVENT_WALLOW(1, "国家网络防沉迷");

    /**
     * 平台id
     */
    private Integer platformId;

    /**
     * 平台名称
     */
    private String platformName;

    /**
     * 根据平台id获取平台信息
     *
     * @param platformId : 平台id
     * @return : 返回信息枚举值
     */
    public static AuthPlatform getByPlatformId(Integer platformId) {
        if (platformId == null) {
            return null;
        }
        return Arrays.stream(AuthPlatform.values())
                .filter(p -> Objects.equals(platformId, p.getPlatformId()))
                .findFirst().orElse(null);
    }
}
