package com.zanxiang.common.enums.Pay;

import lombok.Getter;

import java.util.ArrayList;
import java.util.List;

/**
 * @author xufeng
 * @date 2022/6/9 15:29
 */
@Getter
public enum AlipayPayConfigEnum {
    APPID("appId", "商户支付appId", false),
    ALIPAYPUBLICKEY("alipayPublicKey", "支付宝公钥key", false),
    MERCHANTPRIVATEKEY("merchantPrivateKey", "商户私钥key", false),
    SIGNTYPE("signType", "加密方式", false),
    MERCHANTCERTPATH("merchantCertPath", "商户证书", true),
    ALIPAYCERTPATH("alipayCertPath", "支付宝证书", true),
    ALIPAYROOTCERTPATH("alipayRootCertPath", "支付宝根证书", true);

    private final String code;
    private final String msg;
    private Boolean isFile; //是否为文件

    AlipayPayConfigEnum(String code, String msg, Boolean isFile) {
        this.code = code;
        this.msg = msg;
        this.isFile = isFile;
    }

    public static List<String> getCodeList() {
        List<String> arr = new ArrayList<>(20);
        AlipayPayConfigEnum[] data = AlipayPayConfigEnum.values();
        if (data.length == 0) {
            return arr;
        }
        for (int i = 0; i < data.length; i++) {
            arr.add(data[i].getCode());
        }
        return arr;
    }

    public String getCode() {
        return code;
    }

    public String getMsg() {
        return msg;
    }
}
