package com.zanxiang.common.enums.Pay;

import java.util.ArrayList;
import java.util.List;

/**
 * @author xufeng
 * @date 2022/6/9 15:29
 */
public enum WxPayConfigEnum {
    APPID("appId", "商户支付appId"),
    APPSECRET("appSecret", "公众帐号secert"),
    MCHID("mchId", "商户号"),
    APIKEY("apiKey", "商户支付密钥"),
    SIGNTYPE("signType", "加密方式"),
    CERTPATH("certPath", "密钥地址"),
    NOTIFYURL("notifyUrl", "回调地址（默认为空即可）");

    private final String code;
    private final String msg;

    WxPayConfigEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public static List<String> getCodeList() {
        List<String> arr = new ArrayList<>(20);
        WxPayConfigEnum[] data = WxPayConfigEnum.values();
        if (data.length == 0) {
            return arr;
        }
        for (int i = 0; i < data.length; i++) {
            arr.add(data[i].getCode());
        }
        return arr;
    }

    public String getCode() {
        return code;
    }

    public String getMsg() {
        return msg;
    }
}
