package com.zanxiang.manage.controller;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zanxiang.common.domain.ResultVO;
import com.zanxiang.erp.security.annotation.PreAuthorize;
import com.zanxiang.manage.domain.params.LogPayCpParam;
import com.zanxiang.manage.domain.vo.LogPayCpVO;
import com.zanxiang.manage.service.LogPayCpService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiResponse;
import io.swagger.annotations.ApiResponses;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 通知CP记录表
 *
 * @author xufeng
 * @date 2022-07-05 13:53
 */
@Api(tags = "通知CP记录")
@RestController
@RequestMapping("/log-pay-cp")
public class LogPayCpController {

    @Autowired
    private LogPayCpService logPayCpService;

    @ApiOperation(value = "列表")
    @PostMapping(value = "/list")
    @PreAuthorize(permissionKey = "sdk:logPayCp:list")
    @ApiResponses(value = {@ApiResponse(code = 200, message = "成功", response = LogPayCpVO.class, responseContainer = "list")})
    public ResultVO<IPage<LogPayCpVO>> list(@Validated @RequestBody LogPayCpParam param) {
        return ResultVO.ok(logPayCpService.list(param));
    }
}
