package com.zanxiang.manage.controller;

import com.zanxiang.common.domain.ResultVO;
import com.zanxiang.erp.security.annotation.PreAuthorize;
import com.zanxiang.manage.domain.params.OrderCompleteParam;
import com.zanxiang.manage.domain.vo.OrderCompleteListVO;
import com.zanxiang.manage.service.OrderCompleteService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiResponse;
import io.swagger.annotations.ApiResponses;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 游戏订单全量宽表
 *
 * @author xufeng
 * @date 2022-07-04 11:45
 */
@Api(tags = "游戏订单全量宽表")
@RestController
@RequestMapping("/order-complete")
public class OrderCompleteController {

    @Autowired
    private OrderCompleteService orderCompleteService;

    @ApiOperation(value = "列表")
    @PostMapping(value = "/list")
    @PreAuthorize(permissionKey = "sdk:orderComplete:list")
    @ApiResponses(value = {@ApiResponse(code = 200, message = "成功", response = OrderCompleteListVO.class, responseContainer = "list")})
    public ResultVO<OrderCompleteListVO> list(@Validated @RequestBody OrderCompleteParam param) {
        return ResultVO.ok(orderCompleteService.list(param));
    }
}
