package com.zanxiang.manage.controller;

import com.zanxiang.common.domain.ResultVO;
import com.zanxiang.erp.security.annotation.PreAuthorize;
import com.zanxiang.manage.domain.params.OrderParam;
import com.zanxiang.manage.domain.vo.OrderCompleteListVO;
import com.zanxiang.manage.domain.vo.OrderListVO;
import com.zanxiang.manage.service.OrderService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiResponse;
import io.swagger.annotations.ApiResponses;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author : lingfeng
 * @time : 2022-11-07
 * @description : 订单
 */
@Api(tags = "订单模块接口")
@RestController
@RequestMapping("/order")
public class OrderController {

    @Autowired
    private OrderService orderService;

    @ApiOperation(value = "列表")
    @PostMapping(value = "/list")
    @PreAuthorize(permissionKey = "sdk:order:list")
    @ApiResponses(value = {@ApiResponse(code = 200, message = "成功", response = OrderCompleteListVO.class, responseContainer = "list")})
    public ResultVO<OrderListVO> list(@Validated @RequestBody OrderParam param) {
        return ResultVO.ok(orderService.orderList(param));
    }
}
