package com.zanxiang.manage.controller;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zanxiang.common.domain.ResultVO;
import com.zanxiang.erp.security.annotation.PreAuthorize;
import com.zanxiang.manage.domain.params.PayBoxListParam;
import com.zanxiang.manage.domain.params.PayBoxParam;
import com.zanxiang.manage.domain.vo.PayBoxListVO;
import com.zanxiang.manage.service.PayBoxService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiResponse;
import io.swagger.annotations.ApiResponses;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 支付盒子
 *
 * @author xufeng
 * @date 2022-06-22 15:26
 */
@Api(tags = "支付盒子管理")
@RestController
@RequestMapping("/pay-box")
public class PayBoxController {

    @Autowired
    private PayBoxService payBoxService;

    @ApiOperation(value = "支付盒子-新增/修改/删除")
    @PostMapping(value = "/save")
    @PreAuthorize(permissionKey = "sdk:payBox:save")
    public ResultVO<Boolean> save(@Validated @RequestBody PayBoxParam param) {
        return ResultVO.ok(payBoxService.saveOrUpdate(param));
    }

    @ApiOperation(value = "盒子-列表")
    @PostMapping(value = "/list")
    @PreAuthorize(permissionKey = "sdk:payBox:list")
    @ApiResponses(value = {@ApiResponse(code = 200, message = "成功", response = PayBoxListVO.class, responseContainer = "list")})
    public ResultVO<IPage<PayBoxListVO>> list(@Validated @RequestBody PayBoxListParam param) {
        return ResultVO.ok(payBoxService.list(param));
    }
}
