package com.zanxiang.manage.controller;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.zanxiang.common.domain.ResultVO;
import com.zanxiang.common.enums.HttpStatusEnum;
import com.zanxiang.common.utils.bean.BeanUtils;
import com.zanxiang.erp.security.annotation.PreAuthorize;
import com.zanxiang.manage.domain.vo.PayWayVO;
import com.zanxiang.manage.service.PayWayService;
import com.zanxiang.mybatis.entity.PayWay;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 支付方式管理
 *
 * @author xufeng
 * @date 2022-06-17 16:05
 */
@Api(tags = "支付方式管理")
@RestController
@RequestMapping("/pay-way")
public class PayWayController {

    @Autowired
    private PayWayService payWayService;

    @ApiOperation(value = "支付方式列表")
    @GetMapping(value = "/list")
    @PreAuthorize(permissionKey = "sdk:payWay:list")
    public ResultVO<List<PayWayVO>> list() {
        List<PayWay> list = payWayService.list(new LambdaQueryWrapper<PayWay>().eq(PayWay::getParentId, 0));
        if (list.isEmpty()) {
            return new ResultVO<>(HttpStatusEnum.SUCCESS);
        }
        return new ResultVO<>(HttpStatusEnum.SUCCESS, BeanUtils.copyList(list, PayWayVO.class));
    }
}
