package com.zanxiang.manage.controller;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zanxiang.common.domain.ResultVO;
import com.zanxiang.erp.security.annotation.PreAuthorize;
import com.zanxiang.manage.domain.params.UserNameAuthListParam;
import com.zanxiang.manage.domain.vo.UserCardVO;
import com.zanxiang.manage.service.UserCardService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiResponse;
import io.swagger.annotations.ApiResponses;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author : lingfeng
 * @time : 2022-11-02
 * @description : 用户实名
 */
@Api(tags = {"用户实名认证管理"})
@RestController
@RequestMapping("/user/card")
@Slf4j
public class UserCardController {

    @Autowired
    private UserCardService userCardService;

    @ApiOperation(value = "玩家实名认证列表")
    @PostMapping(value = "/list")
    @PreAuthorize(permissionKey = "sdk:userCard:list")
    @ApiResponses(value = {@ApiResponse(code = 200, message = "成功", response = UserCardVO.class)})
    public ResultVO<IPage<UserCardVO>> authList(@Validated @RequestBody UserNameAuthListParam param) {
        return ResultVO.ok(userCardService.getUserCardList(param));
    }
}
