package com.zanxiang.manage.domain.dto;

import lombok.Data;

/**
 * @author : lingfeng
 * @time : 2022-11-04
 * @description : 游戏分类
 */
@Data
public class GameCategoryDTO {

    /**
     * 游戏分类ID
     */
    private Long id;

    /**
     * 分类类型 1、游戏类型（微信小游戏/抖音小游戏/h5/app等） 2、游戏分类（策略游戏/卡牌游戏/）
     */
    private Integer type;

    /**
     * 标签名称
     */
    private String name;

    /**
     * 备注
     */
    private String remark;

    /**
     * 父分类id(顶层游戏分类为0)
     */
    private Long parentId;

    /**
     * 操作者id
     */
    private Long operatorId;

    /**
     * 操作者名字
     */
    private String operatorName;

    /**
     * 1 删除  0 正常
     */
    private Integer isDelete;
}
