package com.zanxiang.manage.domain.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

/**
 * 注释游戏应用表
 *
 * @author xufeng
 * @date 2022-06-20 15:16
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class PayApplicationDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    private Long id;

    /**
     * 应用名称
     */
    private String name;

    /**
     * 类型 1 微信小程序
     */
    private Integer type;

    /**
     * 应用appid
     */
    private String appId;

    /**
     * 应用原始id
     */
    private String primevalId;

    /**
     * 应用主体
     */
    private String company;

    /**
     * 登录账号
     */
    private String loginName;

    /**
     * 登录密码
     */
    private String loginPassword;

    /**
     * 管理员
     */
    private String managePerson;

    /**
     * 备注
     */
    private String remark;

    /**
     * 状态 1 不可用 2 可用
     */
    private Integer status;

    /**
     * 是否已删除 1 已删除 2 正常
     */
    private Integer isDelete;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;
}
