package com.zanxiang.manage.domain.dto;

import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 注释游戏支付商户配置表
 *
 * @author xufeng
 * @date 2022-06-16 18:56
 */
@Data
@NoArgsConstructor
public class PayMerchantDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    private Long id;

    /**
     * 支付方式id
     */
    private Integer payWayId;

    /**
     * 商户号
     */
    private String merchantNo;

    /**
     * 商户名称
     */
    private String merchantName;

    /**
     * 支持支付方式（pc/h5/app/）
     */
    private String payDevice;

    /**
     * 商户号登录账号
     */
    private String loginName;

    /**
     * 商户号登录密码
     */
    //private String loginPassword;

    /**
     * 管理员
     */
    private String managePerson;

    /**
     * 绑定手机号
     */
    private String mobile;

    /**
     * 绑定邮箱
     */
    private String email;

    /**
     * 状态 1 不可用 2 可用
     */
    private Integer status;

    /**
     * 支付配置json (存储根据payway设置后，配置的具体商户号信息)
     */
    private String payConfig;

    /**
     * 最大支付额度锁 0 正常 1 锁定
     */
    private Integer maxPayLock;

    /**
     * 最大支付额度
     */
    private BigDecimal maxPayAmount;

    /**
     * 月已用支付额度
     */
    private BigDecimal mouthPayAmount;

    /**
     * 月更新日期
     */
    private Date mouthUpdateDate;

    /**
     * 周已用额度
     */
    private BigDecimal weakerPayAmount;

    /**
     * 周更新日期
     */
    private Date weakerUpdateDate;

    /**
     * 日已用额度
     */
    private BigDecimal dayPayAmount;

    /**
     * 日更新日期
     */
    private Date dayUpdateDate;

    /**
     * 备注
     */
    private String remark;

    /**
     * 是否已删除 1 已删除 2 正常
     */
    private Integer isDelete;

    /**
     * 删除时间
     */
    private Date deleteTime;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;
}
