package com.zanxiang.manage.domain.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zanxiang.manage.domain.vo.GamePayWayListVO;
import com.zanxiang.mybatis.entity.GamePayWay;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

/**
 * @author xufeng
 * @date 2022/6/29 16:32
 */
public interface GamePayWayListMapper extends BaseMapper<GamePayWay> {

    @Select("<script> SELECT p.*, g.`name` as gameName,c.`name` as gameType, w.pay_name as payWayName, b.`name` as payBoxName  FROM h_game_pay_way p LEFT JOIN h_game g ON t.game_id = g.id LEFT JOIN t_pay_box b ON p.pay_box_id = b.id LEFT JOIN t_pay_way w ON w.id = p.pay_way_id LEFT JOIN t_game_category c ON g.category = c.id " +
            "where p.is_delete=0 " +
            "<when test='gameName != null'> and g.`name` like CONCAT('%', #{gameName}, '%') </when>" +
            "<when test='payWayId != null'> and p.pay_way_id = #{payWayId} </when>" +
            "<when test='status != null'> and p.status = #{status} </when>" +
            " </script>")
    IPage<GamePayWayListVO> List(Page<GamePayWay> page, @Param("gameName") String gameName, @Param("payWayId") String payWayId, @Param("status") String status);
}