package com.zanxiang.manage.domain.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zanxiang.manage.domain.vo.GameStrategyListVO;
import com.zanxiang.mybatis.entity.GameStrategy;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

/**
 * @author xufeng
 * @date 2022/6/29 16:32
 */
public interface GameStrategyListMapper extends BaseMapper<GameStrategy> {

    @Select("<script> SELECT s.*,g.`name` AS gameName,p.pay_box_id,c.`name` AS gameType,b.`name` AS payBoxName,b.pay_merchant_id AS payMerchant,a.`name` AS applicationName " +
            "FROM h_game_strategy s " +
            "LEFT JOIN h_game g ON s.game_id=g.id AND g.is_delete=0 AND g.`status`=0 " +
            "LEFT JOIN h_game_category c ON g.category=c.id AND c.is_delete=0 " +
            "LEFT JOIN h_game_pay_way p ON p.game_id=s.game_id AND p.pay_way_id=3 AND p.is_delete=0 " +
            "LEFT JOIN h_pay_box b ON p.pay_box_id=b.id AND b.is_delete=0 AND b.`status`=0 " +
            "LEFT JOIN h_pay_application a ON a.id=b.pay_application_id AND a.is_delete=0 AND a.`status`=0 " +
            "where s.is_delete=0 " +
            "<when test='name != null'> and s.`name` like CONCAT('%', #{name}, '%') </when>" +
            "<when test='type != null'> and s.type = #{type} </when>" +
            "<when test='status != null'> and s.status = #{status} </when>" +
            "<when test='gameId != null'> and s.gameId = #{gameId} </when>" +
            " </script>")
    IPage<GameStrategyListVO> List(Page<GameStrategy> page, @Param("name") String name, @Param("type") Integer type, @Param("status") Integer status, @Param("gameId") Long gameId);


//    SELECT
//    s.*,
//    g.`name` AS gameName,
//    p.pay_box_id,
//    c.`name` AS gameType,
//    b.`name` AS payBoxName,
//    b.pay_merchant_id AS payMerchant,
//    a.`name` AS applicationName
//    FROM
//    h_game_strategy s
//    LEFT JOIN h_game g ON s.game_id = g.id
//    AND g.is_delete = 0
//    AND g.`status` = 0
//    LEFT JOIN h_game_category c ON g.category = c.id
//    AND c.is_delete = 0
//    LEFT JOIN h_game_pay_way p ON p.game_id = s.game_id
//    AND p.pay_way_id = 3
//    AND p.is_delete = 0
//    LEFT JOIN h_pay_box b ON p.pay_box_id = b.id
//    AND b.is_delete = 0
//    AND b.`status` = 0
//    LEFT JOIN h_pay_application a ON a.id = b.pay_application_id
//    AND a.is_delete = 0
//    AND a.`status` = 0

}