package com.zanxiang.manage.domain.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zanxiang.manage.domain.vo.PayBoxListVO;
import com.zanxiang.mybatis.entity.PayBox;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

/**
 * @author xufeng
 * @date 2022/6/29 16:32
 */
public interface PayBoxListMapper extends BaseMapper<PayBox> {

    // '微信小程序' as payApplicationTypeName
    @Select("<script> SELECT b.*,a.company,a.type as payApplicationType,a.app_id as appId,a.primeval_id as primevalId,a.name as payApplicationName, a.id as payApplicationId, '微信小程序' as payApplicationTypeName from h_pay_box b " +
            "LEFT JOIN h_pay_application a ON b.pay_application_id = a.id " +
            "where b.is_delete=0 " +
            "<when test='name != null'> and b.name like CONCAT('%', #{name}, '%') </when>" +
            "<when test='payApplicationName != null'> and a.name like CONCAT('%', #{payApplicationName}, '%') </when>" +
            "<when test='appId != null'> and a.app_id like CONCAT('%', #{appId}, '%') </when>" +
            "<when test='company != null'> and a.company like CONCAT('%', #{company}, '%') </when>" +
            "<when test='payMerchantId != null'> and b.pay_merchant_id like CONCAT('%', #{payMerchantId}, '%') </when>" +
            "<when test='payApplicationType != null'> and a.type = #{payMerchantId} </when>" +
            " </script>")
    IPage<PayBoxListVO> payBoxList(Page<PayBox> page, @Param("name") String name, @Param("payApplicationName") String payApplicationName, @Param("appId") String appId, @Param("company") String company, @Param("payMerchantId") String payMerchantId, @Param("payApplicationType") String payApplicationType);
}