package com.zanxiang.manage.domain.params;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author : lingfeng
 * @time : 2022-06-22
 * @description : cp新增或者更新参数
 */
@ApiModel
@Data
public class CpAddUpdateParam {

    /**
     * id
     */
    @ApiModelProperty(notes = "传id为修改, 不传id为新增")
    private Long id;

    /**
     * cp名称
     */
    @NotBlank(message = "cp名称不可为空")
    @ApiModelProperty(notes = "cp名称")
    private String cpName;

    /**
     * 公司名称
     */
    @NotBlank(message = "公司名称不可为空")
    @ApiModelProperty(notes = "公司名称")
    private String companyName;

    /**
     * 联系人
     */
    @ApiModelProperty(notes = "联系人")
    private String linkMan;

    /**
     * 联系人手机号
     */
    @ApiModelProperty(notes = "手机号")
    private String mobile;

    /**
     * 对接状态
     */
    @NotBlank(message = "对接状态不可为空")
    @ApiModelProperty(notes = "对接状态")
    private String status;

    /**
     * 备注
     */
    @ApiModelProperty(notes = "备注")
    private String remark;

    /**
     * 渠道
     */
    @ApiModelProperty(notes = "渠道, 暂时没有用到, 不传值")
    private Long channel;
}
