package com.zanxiang.manage.domain.params;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author : lingfeng
 * @time : 2022-07-08
 * @description : 游戏账号信息配置更新
 */
@Data
public class GameAccountUpdateParam {

    /**
     * 主键id
     */
    @ApiModelProperty(notes = "主键id, 不传则是新增, 传则是更新")
    private Long id;

    /**
     * 游戏id
     */
    @ApiModelProperty(notes = "游戏id")
    private Long gameId;

    /**
     * 小程序appId
     */
    @ApiModelProperty(notes = "小程序appId")
    private String appId;

    /**
     * 小程序原始id
     */
    @ApiModelProperty(notes = "小程序原始id")
    private String ghId;

    /**
     * 登录账号
     */
    @ApiModelProperty(notes = "登录账号")
    private String account;

    /**
     * 登录密码
     */
    @ApiModelProperty(notes = "登录密码")
    private String password;

    /**
     * 管理员微信
     */
    @ApiModelProperty(notes = "管理员微信")
    private String adminVx;

    /**
     * 公司主体信息
     */
    @ApiModelProperty(notes = "公司主体信息")
    private String company;

    /**
     * 小程序密钥
     */
    @ApiModelProperty(notes = "小程序密钥")
    private String appSecret;
}
