package com.zanxiang.manage.domain.params;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author : lingfeng
 * @time : 2022-07-12
 * @description : 游戏虚拟支付提交参数
 */
@Data
public class GameAnalogPayParam {

    /**
     * 主键id
     */
    @ApiModelProperty(notes = "主键id, 获取接口拿到的id是啥就传啥")
    private Long id;

    /**
     * 游戏id
     */
    @NotNull(message = "游戏id不可为空")
    @ApiModelProperty(notes = "游戏id, 任何时候都能拿到, 不可为空")
    private Long gameId;

    /**
     * 配置信息
     */
    @ApiModelProperty(notes = "游戏id")
    private PayConfigBean payConfig;

    @Data
    public static class PayConfigBean {

        /**
         * 米大师支付应用id
         */
        @ApiModelProperty(notes = "米大师支付应用id")
        private String appId;

        /**
         * 米大师现网AppKey
         */
        @ApiModelProperty(notes = "米大师现网AppKey")
        private String appKey;

        /**
         * 米大师沙箱AppKey
         */
        @ApiModelProperty(notes = "米大师沙箱AppKey")
        private String appKeyDev;

        /**
         * 人民币元宝比例
         */
        @ApiModelProperty(notes = "人民币元宝比例")
        private String exchangeRate;

        /**
         * IOS充值提示
         */
        @ApiModelProperty(notes = "IOS充值提示")
        private String iosTips;
    }
}
