package com.zanxiang.manage.domain.params;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author : lingfeng
 * @time : 2022-06-23
 * @description : 分类标签
 */
@Data
public class GameCategoryAddUpdateParam {

    /**
     * id
     */
    @ApiModelProperty(notes = "id, 不传id为新增, 传id为修改")
    private Long id;

    /**
     * 父标签id
     */
    @ApiModelProperty(notes = "父标签id")
    private Long parentId;

    /**
     * 名称
     */
    @NotBlank(message = "标签分类名称不可为空")
    @ApiModelProperty(notes = "名称")
    private String name;

    /**
     * 标签描述
     */
    @ApiModelProperty(notes = "标签描述")
    private String remark;
}
