package com.zanxiang.manage.domain.params;

import com.zanxiang.common.base.BasePage;
import com.zanxiang.mybatis.entity.Game;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author : lingfeng
 * @time : 2022-07-06
 * @description : 游戏列表查询参数
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class GameListParam extends BasePage<Game> {

    /**
     * cp名称对应的id
     */
    @ApiModelProperty(notes = "cp名称对应的id")
    private Long cpId;

    /**
     * 游戏名称对应的id
     */
    @ApiModelProperty(notes = "游戏名称对应的id")
    private Long gameId;

    /**
     * 是否父游戏
     */
    @ApiModelProperty(notes = "是否父游戏")
    private Boolean isParentGame;

    /**
     * 游戏应用类型对应的id
     */
    @ApiModelProperty(notes = "游戏应用类型对应的id")
    private Long gameCategoryId;

    /**
     * 关联h5游戏id
     */
    @ApiModelProperty(notes = "关联h5游戏id")
    private Long h5GameId;

    /**
     * 关联导量游戏id
     */
    @ApiModelProperty(notes = "关联导量游戏id")
    private Long guideGameId;

    /**
     * 游戏分类id
     */
    @ApiModelProperty(notes = "游戏分类id")
    private Long gameClassifyId;

    /**
     * 是否父标签
     */
    @ApiModelProperty(notes = "是否父标签")
    private Boolean isParentClassify;

    /**
     * 上线状态1 接入中， 2 可上线, 3 已下线
     */
    @ApiModelProperty(notes = "上线状态1 接入中， 2 可上线, 3 已下线")
    private Integer status;
}
