package com.zanxiang.manage.domain.params;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author : xufeng
 * @time : 2022-06-30
 * @description : 游戏支付配置表
 */
@Data
public class GamePayWayParam {
    private String id;

    @ApiModelProperty(notes = "游戏id")
    private String gameId;

    @ApiModelProperty(notes = "支付方式id")
    private Integer payWayId;

    @ApiModelProperty(notes = "支付方式名称")
    private String payWayName;

    @ApiModelProperty(notes = "状态 1 不可用 0 可用")
    private Integer status;

    /**
     * 支付配置json (存储根据payway设置后，配置的具体商户号信息)
     */
    @ApiModelProperty(notes = "支付配置json")
    private String payConfig;

    @ApiModelProperty(notes = "是否已删除 1 已删除 0 正常")
    private Integer isDelete;

    @ApiModelProperty(notes = "支付盒子id")
    private Long payBoxId;

    @ApiModelProperty(notes = "支付商户号id")
    private Long payMerchantId;

    @ApiModelProperty(notes = "备注")
    private String remark;

}