package com.zanxiang.manage.domain.params;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 注释游戏策略
 *
 * @author xufeng
 * @date 2022-07-01 11:38
 */
@Data
public class GameStrategyParam implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(notes = "ID")
    private Long id;

    @ApiModelProperty(notes = "策略名称")
    private String name;

    @ApiModelProperty(notes = "策略类型 1:订单起量切换规则")
    private Integer type;

    @ApiModelProperty(notes = "关联游戏id")
    private Long gameId;

    @ApiModelProperty(notes = "删除状态 0正常 1删除")
    private Integer isDelete;

    @ApiModelProperty(notes = "状态 0正常 1不可用")
    private Integer status;

    @ApiModelProperty(notes = "订单切量")
    private GameStrategyOrderParam orderConfig;

    @ApiModelProperty(notes = "渠道")
    private Long channel;
}
