package com.zanxiang.manage.domain.params;

import com.zanxiang.common.base.BasePage;
import com.zanxiang.mybatis.entity.GameUser;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDate;

/**
 * @author : lingfeng
 * @time : 2022-07-04
 * @description : 玩家游戏列表参数
 */
@ApiModel
@Data
@EqualsAndHashCode(callSuper = true)
public class GameUserListParam extends BasePage<GameUser> {

    /**
     * 玩家id
     */
    @ApiModelProperty(notes = "玩家id")
    private Long userId;

    /**
     * 玩家账号
     */
    @ApiModelProperty(notes = "玩家账号")
    private String userName;

    /**
     * 玩家昵称
     */
    @ApiModelProperty(notes = "玩家昵称")
    private String nickname;

    /**
     * cp名称对应的id
     */
    @ApiModelProperty(notes = "cp名称对应的id")
    private Long cpId;

    /**
     * 游戏名称对应的id
     */
    @ApiModelProperty(notes = "游戏名称对应的id")
    private Long gameId;

    /**
     * 游戏应用类型对应的id
     */
    @ApiModelProperty(notes = "游戏应用类型对应的id")
    private Long gameCategoryId;

    /**
     * 注册渠道对应的id
     */
    @ApiModelProperty(notes = "注册渠道对应的id")
    private Long channelId;

    /**
     * 归因推广账号
     */
    @ApiModelProperty(notes = "归因推广账号")
    private String accountId;

    /**
     * 归因投放人员
     */
    @ApiModelProperty(notes = "归因投放人员")
    private String pitcherId;

    /**
     * 最近充值开始时间(开始玩开始时间请使用beginDate参数)
     */
    @ApiModelProperty(notes = "最近充值开始时间(开始玩开始时间请使用beginDate参数)")
    private LocalDate rechargeBeginDate;

    /**
     * 最近充值结束时间(开始玩结束时间请使用endDate参数)
     */
    @ApiModelProperty(notes = "最近充值结束时间(开始玩结束时间请使用endDate参数)")
    private LocalDate rechargeEndDate;

    /**
     * 客服id
     */
    @ApiModelProperty(notes = "客服id")
    private Long customerId;

    /**
     * 归因广告id
     */
    @ApiModelProperty(notes = "归因广告id")
    private String adId;

    /**
     * 是否GS
     */
    @ApiModelProperty(notes = "是否GS")
    private Boolean isGs;

    /**
     * 是否充值
     */
    @ApiModelProperty(notes = "是否充值, true : 是, false : 否, 全部 : null或者不传")
    private Boolean isRecharge;

    /**
     * 角色vip
     */
    @ApiModelProperty(notes = "角色vip, 全部 : null或者不传")
    private Integer vipLevel;
}
