package com.zanxiang.manage.domain.params;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.zanxiang.common.base.BasePage;
import com.zanxiang.mybatis.entity.OrderComplete;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDate;
import java.util.Date;

/**
 * 注释游戏订单全量宽表
 *
 * @author xufeng
 * @date 2022-07-04 11:45
 */
@Data
public class OrderCompleteParam extends BasePage<OrderComplete> implements Serializable {

    @ApiModelProperty(notes = "订单ID：订单号")
    private String orderId;

    @ApiModelProperty(notes = "cp订单号")
    private String cpOrderId;

    @ApiModelProperty(notes = "第三方支付订单号")
    private String merchantOrderNo;

    @ApiModelProperty(notes = "玩家id")
    private String userId;

    @ApiModelProperty(notes = "玩家账号")
    private String userAccount;

    @ApiModelProperty(notes = "充值游戏id")
    private String gameId;

    @ApiModelProperty(notes = "是否删除：0正常 1删除")
    private Integer isDelete;

    @ApiModelProperty(notes = "订单下单日期（不含时分秒）")
    private Date orderDate;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(notes = "玩家注册时间-起")
    private LocalDate userRegisterTimeStart;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(notes = "玩家注册时间-止")
    private LocalDate userRegisterTimeEnd;

    @ApiModelProperty(notes = "cp id")
    private String cpId;

    @ApiModelProperty(notes = "注册游戏id")
    private String userRegisterGameId;

    @ApiModelProperty(notes = "注册游戏")
    private String userRegisterGame;

    @ApiModelProperty(notes = "注册游戏分类")
    private String userRegisterGameCategory;

    @ApiModelProperty(notes = "玩家注册渠道")
    private String userRegisterChannel;


    @ApiModelProperty(notes = "投放人")
    private String agentId;

    @ApiModelProperty(notes = "推广账号")
    private String agentAccount;

    @ApiModelProperty(notes = "推广媒体")
    private String agentMedia;

    @ApiModelProperty(notes = "推广广告")
    private String agentAdvert;

    @ApiModelProperty(notes = "产品名称")
    private String productName;

    @ApiModelProperty(notes = "订单金额")
    private BigDecimal orderAmount;

    @ApiModelProperty(notes = "订单实付金额")
    private BigDecimal realAmount;

    @ApiModelProperty(notes = "支付方式Id")
    private String payWayId;

    @ApiModelProperty(notes = "支付方式")
    private String payWay;

    @ApiModelProperty(notes = "支付场景")
    private String payDevice;

    @ApiModelProperty(notes = "收款商户号")
    private String merchantNo;

    @ApiModelProperty(notes = "收款商户名称")
    private String merchantName;

    @ApiModelProperty(notes = "游戏区服")
    private String gameRegional;

    @ApiModelProperty(notes = "游戏角色")
    private String gameRole;

    @ApiModelProperty(notes = "游戏等级")
    private String gameLevel;

    @ApiModelProperty(notes = "游戏角色vip")
    private String gameVip;

    @ApiModelProperty(notes = "操作系统")
    private String fromDevice;

    @ApiModelProperty(notes = "是否切量  0 否 1 是")
    private Integer isSwitch;

    @ApiModelProperty(notes = "支付时间")
    private Date payTime;

    @ApiModelProperty(notes = "结束时间")
    private String endTime;

    @ApiModelProperty(notes = "cp最后通知时间")
    private Date lastCpNotifyTime;

    @ApiModelProperty(notes = "支付状态，1待支付，2 支付成功，-1 已取消")
    private Integer status;

    @ApiModelProperty(notes = "CP通知状态，1为待处理，2为成功，-1为失败")
    private Integer cpStatus;

    @ApiModelProperty(notes = "是否首充 0 否 1 是")
    private Integer isFirstRecharge;


    @ApiModelProperty(notes = "广告上报状态")
    private Integer advertNotifyStatus;

    @ApiModelProperty(notes = "广告上报方式 0 系统 1 人工")
    private Integer advertNotifyType;

    @ApiModelProperty(notes = "渠道")
    private Long channel;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(notes = "创建时间-开始")
    private LocalDate createTimeStart;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(notes = "创建时间-结束")
    private LocalDate createTimeEnd;
}
