package com.zanxiang.manage.domain.params;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 注释游戏应用表
 *
 * @author xufeng
 * @date 2022-06-20 15:16
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class PayApplicationListNoPageParam implements Serializable {

    private static final long serialVersionUID = 1L;

    private Long id;

    /**
     * 应用名称
     */
    @ApiModelProperty(notes = "应用名称")
    private String name;

    /**
     * 类型 1 微信小程序
     */
    @ApiModelProperty(notes = "类型 1 微信小程序")
    private Integer type;

    /**
     * 应用appid
     */
    @ApiModelProperty(notes = "应用appid")
    private String appId;

    /**
     * 应用原始id
     */
    @ApiModelProperty(notes = "应用原始id")
    private String primevalId;

    /**
     * 应用主体
     */
    @ApiModelProperty(notes = "应用主体")
    private String company;

    /**
     * 登录账号
     */
    @ApiModelProperty(notes = "登录账号")
    private String loginName;

    /**
     * 登录密码
     */
    @ApiModelProperty(notes = "登录密码")
    private String loginPassword;

    /**
     * 管理员
     */
    @ApiModelProperty(notes = "管理员")
    private String managePerson;

    /**
     * 备注
     */
    @ApiModelProperty(notes = "备注")
    private String remark;

    /**
     * 状态 1 不可用 2 可用
     */
    @ApiModelProperty(notes = "状态 1 不可用 0正常")
    private Integer status;

    /**
     * 是否已删除 1 已删除 2 正常
     */
    @ApiModelProperty(notes = "删除状态 1 已删除 0 正常")
    private Integer isDelete;

}
