package com.zanxiang.manage.domain.params;

import com.zanxiang.common.base.BasePage;
import com.zanxiang.mybatis.entity.PayBox;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author xufeng
 * @date 2022/6/16 19:14
 */
@Data
@NoArgsConstructor
public class PayBoxListParam extends BasePage<PayBox> {

    private Integer id;

    /**
     * 名称
     */
    @ApiModelProperty(notes = "名称")
    private String name;

    /**
     * 支付名称
     */
    @ApiModelProperty(notes = "支付名称")
    private String payName;

    /**
     * 应用id
     */
    @ApiModelProperty(notes = "应用id")
    private Integer payApplicationId;

    /**
     * 商户号id（多个逗号分割,id,）
     */
    @ApiModelProperty(notes = "商户号id")
    private String payMerchantId;

    @ApiModelProperty(notes = "关联应用appId")
    private String appId;

    @ApiModelProperty(notes = "应用名称")
    private String payApplicationName;

    @ApiModelProperty(notes = "应用类型")
    private String payApplicationType;

    @ApiModelProperty(notes = "应用主体")
    private String company;


    /**
     * 盒子类型 1、金币 2、红包
     */
    @ApiModelProperty(notes = "盒子类型 1、金币 2、红包")
    private Integer type;

    /**
     * 描述
     */
    @ApiModelProperty(notes = "描述")
    private String remark;
}
