package com.zanxiang.manage.domain.params;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @author xufeng
 * @date 2022/6/16 19:14
 */
@Data
@NoArgsConstructor
public class PayBoxParam implements Serializable {

    private Integer id;

    /**
     * 名称
     */
    @ApiModelProperty(notes = "名称")
    private String name;

    /**
     * 支付名称
     */
    @ApiModelProperty(notes = "支付名称")
    private String payName;

    /**
     * 应用id
     */
    @ApiModelProperty(notes = "应用id")
    private Integer payApplicationId;

    /**
     * 商户号id（多个逗号分割,id,）
     */
    @ApiModelProperty(notes = "商户号id（多个逗号分割,id,）")
    private String payMerchantId;

    /**
     * 盒子类型 1、金币 2、红包
     */
    @ApiModelProperty(notes = "盒子类型 1、金币 2、红包")
    private Integer type;

    /**
     * 描述
     */
    @ApiModelProperty(notes = "描述")
    private String remark;

    
    @ApiModelProperty(notes = "状态 1 不可用 0正常")
    private Integer status;


    @ApiModelProperty(notes = "删除状态 1 已删除 0 正常")
    private Integer isDelete;
}
