package com.zanxiang.manage.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author : lingfeng
 * @time : 2022-07-07
 * @description : 游戏基本信息
 */
@Data
public class GameInfoVO {

    /**
     * 游戏ID
     */
    @ApiModelProperty(notes = "游戏ID")
    private Long id;

    /**
     * 游戏名称
     */
    @ApiModelProperty(notes = "游戏名称")
    private String name;

    /**
     * 是主父游戏
     */
    @ApiModelProperty(notes = "是否主游戏")
    private Boolean isParentGame;

    /**
     * cpId
     */
    @ApiModelProperty(notes = "cpId")
    private Long cpId;

    /**
     * cp名称
     */
    @ApiModelProperty(notes = "cp名称")
    private String cpName;

    /**
     * 游戏分类id, 多个
     */
    @ApiModelProperty(notes = "游戏分类id, 多个")
    private List<GameCategoryParentVO> classifyList;

    /**
     * 游戏应用类型Id
     */
    @ApiModelProperty(notes = "游戏应用类型Id")
    private GameCategoryParentVO category;

    /**
     * 分成比例
     */
    @ApiModelProperty(notes = "分成比例")
    private Double shareScale;

    /**
     * 主游戏id
     */
    @ApiModelProperty(notes = "主游戏id")
    private Long parentId;

    /**
     * 主游戏名字
     */
    @ApiModelProperty(notes = "主游戏名字")
    private String parentName;

    /**
     * 关联H5游戏id
     */
    @ApiModelProperty(notes = "关联H5游戏id")
    private Long h5GameId;

    /**
     * 关联H5游戏名字
     */
    @ApiModelProperty(notes = "关联H5游戏名字")
    private String h5GameName;

    /**
     * 导量游戏id
     */
    @ApiModelProperty(notes = "导量游戏id")
    private Long guideGameId;

    /**
     * 导量游戏名字
     */
    @ApiModelProperty(notes = "导量游戏名字")
    private String guideGameName;

    /**
     * 游戏宣传语
     */
    @ApiModelProperty(notes = "游戏宣传语")
    private String publicity;

    /**
     * 游戏描述
     */
    @ApiModelProperty(notes = "游戏描述")
    private String description;

    /**
     * 游戏版本
     */
    @ApiModelProperty(notes = "游戏版本")
    private String version;

    /**
     * 游戏地址
     */
    @ApiModelProperty(notes = "游戏地址")
    private String gameUrl;

    /**
     * CP回调路径
     */
    @ApiModelProperty(notes = "CP回调路径")
    private String cpPaybackUrl;
}
