package com.zanxiang.manage.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author : lingfeng
 * @time : 2022-07-12
 * @description : 游戏图片信息
 */
@Data
public class GamePictureVO {

    /**
     * 主键id
     */
    @ApiModelProperty(notes = "主键id")
    private Long id;

    /**
     * 游戏id
     */
    @ApiModelProperty(notes = "游戏id")
    private Long gameId;

    /**
     * 游戏头像
     */
    @ApiModelProperty(notes = "游戏头像")
    private String avatarImg;

    /**
     * 小程序码图片
     */
    @ApiModelProperty(notes = "小程序码图片")
    private String appletImg;

    /**
     * 小游戏卡片标题
     */
    @ApiModelProperty(notes = "小游戏卡片标题")
    private String cardTitle;

    /**
     * 小游戏卡片url
     */
    @ApiModelProperty(notes = "小游戏卡片url")
    private String cardUrl;

    /**
     * 小游戏卡片图片
     */
    @ApiModelProperty(notes = "小游戏卡片图片")
    private String cardImg;

    /**
     * 从入口图片打开
     */
    @ApiModelProperty(notes = "从入口图片打开")
    private Boolean isOpenInlet;

    /**
     * 入口图片
     */
    @ApiModelProperty(notes = "入口图片")
    private String inletImg;

    /**
     * 发现游戏图
     */
    @ApiModelProperty(notes = "发现游戏图")
    private String findImg;

    /**
     * 精品推荐图
     */
    @ApiModelProperty(notes = "精品推荐图")
    private String recommendImg;

    /**
     * 红包试玩图
     */
    @ApiModelProperty(notes = "红包试玩图")
    private String tryPayImg;

    /**
     * 分享图名称
     */
    @ApiModelProperty(notes = "分享图名称")
    private String shareImgName;

    /**
     * 分享图
     */
    @ApiModelProperty(notes = "分享图")
    private String shareImg;

    /**
     * h5游戏图片
     */
    @ApiModelProperty(notes = "h5游戏图片")
    private String gamePictureImg;

    /**
     * h5游戏登录背景图
     */
    @ApiModelProperty(notes = "h5游戏登录背景图")
    private String loginBackGroundImg;

    /**
     * 是否需要实名认证，1:关闭实名认证，2:强制实名认证  3:开启实名认证
     */
    @ApiModelProperty(notes = "是否需要实名认证，1:关闭实名认证，2:强制实名认证  3:开启实名认证")
    private Integer needAuth;

    /**
     * h5游戏下载次数
     */
    @ApiModelProperty(notes = "h5游戏下载次数")
    private Long downloadCount;
}
