package com.zanxiang.manage.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2022-07-05
 * @description : 游戏角色
 */
@Data
public class GameUserRoleVO {

    /**
     * 主键
     */
    @ApiModelProperty(notes = "主键")
    private Long id;

    /**
     * 游戏名称
     */
    @ApiModelProperty(notes = "游戏名称")
    private String gameName;

    /**
     * 游戏应用类型
     */
    @ApiModelProperty(notes = "游戏应用类型")
    private String gameCategoryName;

    /**
     * 角色名称
     */
    @ApiModelProperty(notes = "角色名称")
    private String roleName;

    /**
     * 角色id
     */
    @ApiModelProperty(notes = "角色id")
    private String roleId;

    /**
     * 渠道名称
     */
    @ApiModelProperty(notes = "渠道名称")
    private String channelName;

    /**
     * 所在服务器名称
     */
    @ApiModelProperty(notes = "所在服务器名称")
    private String serverName;

    /**
     * 角色等级
     */
    @ApiModelProperty(notes = "角色等级")
    private Long roleLevel;

    /**
     * 玩家角色战力
     */
    @ApiModelProperty(notes = "玩家角色战力")
    private Long rolePower;

    /**
     * 操作系统
     */
    @ApiModelProperty(notes = "操作系统")
    private String os;

    /**
     * 充值金额
     */
    @ApiModelProperty(notes = "充值金额")
    private BigDecimal rechargeMoney;

    /**
     * 角色创建时间
     */
    @ApiModelProperty(notes = "角色创建时间")
    private LocalDateTime createTime;

    /**
     * 游戏角色更新时间
     */
    @ApiModelProperty(notes = "游戏角色更新时间")
    private LocalDateTime updateTime;

    /**
     * 最近登录时间
     */
    @ApiModelProperty(notes = "最近登录时间")
    private LocalDateTime lastLoginTime;

    /**
     * 最近充值时间
     */
    @ApiModelProperty(notes = "最近充值时间")
    private LocalDateTime lastRechargeTime;
}
