package com.zanxiang.manage.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 注释通知CP记录表
 *
 * @author xufeng
 * @date 2022-06-27 14:07
 */
@Data
public class LogPayCpVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(notes = "自增ID")
    private Long id;

    @ApiModelProperty(notes = "订单号")
    private String orderId;

    @ApiModelProperty(notes = "CP订单号")
    private String cpOrderId;

    @ApiModelProperty(notes = "充值成功标志，1为待处理，2为成功，3为失败")
    private Integer status;

    @ApiModelProperty(notes = "充值回调标志，1为待处理，2为成功，3为失败")
    private Integer cpStatus;

    @ApiModelProperty(notes = "CP回调地址")
    private String cpPaybackUrl;

    @ApiModelProperty(notes = "CP回调参数")
    private String params;

    @ApiModelProperty(notes = "CP附加参数")
    private String ext;

    @ApiModelProperty(notes = "通知次数")
    private Integer notifyCnt;

    @ApiModelProperty(notes = "创建时间")
    private Date createTime;
}
