package com.zanxiang.manage.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.Collections;
import java.util.List;
import java.util.Map;

/**
 * @author : lingfeng
 * @time : 2022-11-07
 * @description : 订单展示
 */
@Data
@NoArgsConstructor
public class OrderListVO {

    @ApiModelProperty(notes = "订单列表数据")
    private List<OrderVO> data;

    @ApiModelProperty(notes = "订单统计数据")
    private Map<String, BigDecimal> totalData;

    @ApiModelProperty(notes = "总数据")
    private Long total;

    @ApiModelProperty(notes = "每页显示条数")
    private Long size;

    @ApiModelProperty(notes = "当前页")
    private Long current;

    @ApiModelProperty(notes = "分页总页数")
    private Long pages;

    public OrderListVO(Long size) {
        this.data = Collections.emptyList();
        this.totalData = Collections.emptyMap();
        this.total = 0L;
        this.size = size;
        this.current = 1L;
        this.pages = 0L;
    }
}
