package com.zanxiang.manage.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2022-11-07
 * @description : 订单
 */
@Data
public class OrderVO {

    @ApiModelProperty(notes = "主键id")
    private Long id;

    @ApiModelProperty(notes = "日期")
    private Long dateTime;

    @ApiModelProperty(notes = "订单ID：订单号")
    private Long orderId;

    @ApiModelProperty(notes = "cp订单号")
    private String cpOrderId;

    @ApiModelProperty(notes = "玩家id")
    private Long userId;

    @ApiModelProperty(notes = "玩家账号")
    private String username;

    @ApiModelProperty(notes = "注册时间")
    private LocalDateTime regTime;

    @ApiModelProperty(notes = "充值渠道id")
    private Long agentId;

    @ApiModelProperty(notes = "充值渠道名称")
    private String channel;

    @ApiModelProperty(notes = "注册渠道id")
    private Long regAgentId;

    @ApiModelProperty(notes = "注册渠道名称")
    private String regChannel;

    @ApiModelProperty(notes = "注册游戏id")
    private Long regGameId;

    @ApiModelProperty(notes = "注册游戏名称")
    private Long regGameName;

    @ApiModelProperty(notes = "cpId")
    private Long cpId;

    @ApiModelProperty(notes = "cp名称")
    private String cpName;

    @ApiModelProperty(notes = "游戏应用类型id")
    private Long regGameCategoryId;

    @ApiModelProperty(notes = "游戏应用类型名称")
    private String regGameCategoryName;

    @ApiModelProperty(notes = "归因投放人员id")
    private String pitcherId;

    @ApiModelProperty(notes = "归因投放人员名字")
    private String pitcherName;

    @ApiModelProperty(notes = "归因推广账号id")
    private Long accountId;

    @ApiModelProperty(notes = "归因推广账号")
    private String accountName;

    @ApiModelProperty(notes = "归因媒体id")
    private Long mediaId;

    @ApiModelProperty(notes = "归因媒体名称")
    private String mediaName;

    @ApiModelProperty(notes = "归因广告id")
    private String adId;

    @ApiModelProperty(notes = "充值游戏id")
    private Long gameId;

    @ApiModelProperty(notes = "充值游戏名称")
    private String gameName;

    @ApiModelProperty(notes = "充值游戏类型")
    private String gameCategoryId;

    @ApiModelProperty(notes = "充值游戏类型")
    private String gameCategory;

    @ApiModelProperty(notes = "产品名称")
    private String productName;

    @ApiModelProperty(notes = "订单金额")
    private BigDecimal amount;

    @ApiModelProperty(notes = "订单实付金额")
    private BigDecimal realAmount;

    @ApiModelProperty(notes = "支付方式")
    private String payWay;

    @ApiModelProperty(notes = "支付场景")
    private String payDevice;

    @ApiModelProperty(notes = "商户号")
    private String merchantNo;

    @ApiModelProperty(notes = "商户名称")
    private String merchantName;

    @ApiModelProperty(notes = "所在服务器名称")
    private String serverName;

    @ApiModelProperty(notes = "角色名称")
    private String roleName;

    @ApiModelProperty(notes = "角色等级")
    private Long roleLevel;

    @ApiModelProperty(notes = "角色VIP")
    private Long roleVipLevel;

    @ApiModelProperty(notes = "客户端操作系统, android, ios, windows, mac")
    private String deviceSystem;

    @ApiModelProperty(notes = "是否切量  0 否 1 是")
    private Integer isSwitch;

    @ApiModelProperty(notes = "创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty(notes = "支付时间")
    private LocalDateTime payTime;

    @ApiModelProperty(notes = "订单结束时间")
    private LocalDateTime endTime;

    @ApiModelProperty(notes = "cp最后通知时间")
    private LocalDateTime lastCpNotifyTime;

    @ApiModelProperty(notes = "支付状态，1待支付，2 支付成功，-1 已取消")
    private Integer status;

    @ApiModelProperty(notes = "CP通知状态，1为待处理，2为成功，-1为失败")
    private Integer cpStatus;

    @ApiModelProperty(notes = "是否首充 0 否 1 是")
    private Integer isFirstRecharge;

    @ApiModelProperty(notes = "广告上报状态")
    private Integer callBackStatus;
}
