package com.zanxiang.manage.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 支付盒子
 *
 * @author xufeng
 * @date 2022-06-22 15:26
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class PayBoxListVO implements Serializable {

    private static final long serialVersionUID = 1L;

    private Integer id;


    /**
     * 名称
     */
    @ApiModelProperty(notes = "名称")
    private String name;

    /**
     * 支付名称
     */
    @ApiModelProperty(notes = "支付名称")
    private String payName;

    /**
     * 应用id
     */
    @ApiModelProperty(notes = "应用id")
    private Integer payApplicationId;

    @ApiModelProperty(notes = "应用名称")
    private String payApplicationName;

    @ApiModelProperty(notes = "应用类型")
    private String payApplicationType;

    @ApiModelProperty(notes = "应用类型名称")
    private String payApplicationTypeName;

    @ApiModelProperty(notes = "应用appid")
    private String appId;

    @ApiModelProperty(notes = "应用原始id")
    private String primevalId;

    @ApiModelProperty(notes = "应用主体")
    private String company;

    /**
     * 商户号id（多个逗号分割,id,）
     */
    @ApiModelProperty(notes = "商户号id（多个逗号分割,id,）")
    private String payMerchantId;

    @ApiModelProperty(notes = "商户号id_商户名称（多个,分割）")
    private String payMerchantDetail;

    /**
     * 盒子类型 1、金币 2、红包
     */
    @ApiModelProperty(notes = "盒子类型 1、金币 2、红包")
    private Integer type;

    /**
     * 描述
     */
    @ApiModelProperty(notes = "描述")
    private String remark;

    /**
     * 状态 1 不可用 2 可用
     */
    @ApiModelProperty(notes = "状态 1 不可用 2 可用")
    private Integer status;

    /**
     * 是否已删除 1 已删除 0 正常
     */
    @ApiModelProperty(notes = "是否已删除 1 已删除 0 正常")
    private Integer isDelete;

    @ApiModelProperty(notes = "支付盒子id")
    private Long payBoxId;

    @ApiModelProperty(notes = "支付盒子")
    private Long payBoxName;
}
