package com.zanxiang.manage.domain.vo;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @author xufeng
 * @date 2022/6/16 19:14
 */
@Data
@NoArgsConstructor
@ApiModel
public class PayMerchantListNoPageVO implements Serializable {

    @JsonSerialize(using = ToStringSerializer.class)

    private Long id;
    /**
     * 支付方式id
     */
    @ApiModelProperty(notes = "支付方式id")
    private Integer payWayId;

    @ApiModelProperty(notes = "支付方式")
    private String payWayName;

    /**
     * 商户号
     */
    @ApiModelProperty(notes = "商户号")
    private String merchantNo;

    /**
     * 商户名称
     */
    @ApiModelProperty(notes = "商户名称")
    private String merchantName;

    /**
     * 支持支付方式（pc/h5/app/）
     */
    @ApiModelProperty(notes = "商户类型")
    private String payDevice;

    /**
     * 支持支付方式（pc/h5/app/）
     */
    @ApiModelProperty(notes = "商户名称")
    private String payDeviceName;

    /**
     * 商户号登录账号
     */
    @ApiModelProperty(notes = "商户名称")
    private String loginName;
}
