package com.zanxiang.manage.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2022-11-02
 * @description : 用户实名信息
 */
@Data
public class UserCardVO {

    /**
     * 主键id
     */
    @ApiModelProperty(notes = "主键id")
    private Long id;

    /**
     * 用户id
     */
    @ApiModelProperty(notes = "玩家id")
    private Long userId;

    /**
     * 用户名
     */
    @ApiModelProperty(notes = "用户名")
    private String username;

    /**
     * 昵称
     */
    @ApiModelProperty(notes = "昵称")
    private String nickname;

    /**
     * 注册时间
     */
    @ApiModelProperty(notes = "注册时间")
    private LocalDateTime regTime;

    /**
     * 实名证件类型 1、身份证
     */
    @ApiModelProperty(notes = "实名证件类型 1、身份证")
    private Integer cardType;

    /**
     * 证件号
     */
    @ApiModelProperty(notes = "证件号")
    private String cardId;

    /**
     * 真实姓名
     */
    @ApiModelProperty(notes = "真实姓名")
    private String cardName;

    /**
     * 生日
     */
    @ApiModelProperty(notes = "生日")
    private String birthday;

    /**
     * 性别, 0 : 未知, 1 : 男, 2 : 女
     */
    @ApiModelProperty(notes = "性别, 0 : 未知, 1 : 男, 2 : 女")
    private Integer sex;

    /**
     * 创建时间
     */
    @ApiModelProperty(notes = "创建时间")
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    @ApiModelProperty(notes = "更新时间")
    private LocalDateTime updateTime;

}
