package com.zanxiang.manage.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2022-07-04
 * @description : 用户详细信息
 */
@ApiModel
@Data
public class UserVO {

    /**
     * 玩家id
     */
    @ApiModelProperty(notes = "玩家id")
    private Long id;

    /**
     * 用户名
     */
    @ApiModelProperty(notes = "用户名")
    private String username;

    /**
     * 密码
     */
    @ApiModelProperty(notes = "密码")
    private String password;

    /**
     * 最高vip
     */
    @ApiModelProperty(notes = "最高vip")
    private Integer vipMax;

    /**
     * 昵称
     */
    @ApiModelProperty(notes = "昵称")
    private String nickname;

    /**
     * 真实姓名
     */
    @ApiModelProperty(notes = "真实姓名")
    private String realName;

    /**
     * 生日
     */
    @ApiModelProperty(notes = "生日")
    private String birthday;

    /**
     * 性别
     */
    @ApiModelProperty(notes = "性别")
    private Integer sex;

    /**
     * 证件号码
     */
    @ApiModelProperty(notes = "证件号码")
    private String idCard;

    /**
     * 绑定手机号码
     */
    @ApiModelProperty(notes = "绑定手机号码")
    private String mobile;

    /**
     * 注册手机号
     */
    @ApiModelProperty(notes = "注册手机号")
    private String regMobile;

    /**
     * 注册邮箱
     */
    @ApiModelProperty(notes = "注册邮箱")
    private String regEmail;

    /**
     * 绑定支付宝
     */
    @ApiModelProperty(notes = "绑定支付宝")
    private String aliPay;

    /**
     * 地址
     */
    @ApiModelProperty(notes = "地址")
    private String address;

    /**
     * 注册来源
     */
    @ApiModelProperty(notes = "注册来源")
    private String regFrom;

    /**
     * 渠道
     */
    @ApiModelProperty(notes = "渠道")
    private String channelName;

    /**
     * 注册游戏
     */
    @ApiModelProperty(notes = "注册游戏")
    private String regGame;

    /**
     * 用户状态, 0 : 为正常状态, 1 : 为冻结状态
     */
    @ApiModelProperty(notes = "用户状态, 0 : 为正常状态, 1 : 为冻结状态 ")
    private Integer status;

    /**
     * 设备id
     */
    @ApiModelProperty(notes = "设备码")
    private String deviceId;

    /**
     * 注册IP
     */
    @ApiModelProperty(notes = "注册IP")
    private String regIp;

    /**
     * 注册时间
     */
    @ApiModelProperty(notes = "注册时间")
    private LocalDateTime createTime;

}
