package com.zanxiang.manage.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.manage.domain.dto.ChannelDTO;
import com.zanxiang.manage.domain.vo.PromoChannelChoiceVO;
import com.zanxiang.mybatis.entity.Channel;

import java.util.List;
import java.util.Map;

/**
 * @author : lingfeng
 * @time : 2022-06-30
 * @description : 渠道
 */
public interface ChannelService extends IService<Channel> {

    /**
     * 查询渠道选择列表
     *
     * @return : 返回所有cp信息
     */
    List<PromoChannelChoiceVO> choiceList();

    /**
     * 查询渠道选择列表
     *
     * @return : 返回所有cp信息
     */
    Map<Long, String> choiceMap();

    /**
     * 根据主键id查询
     *
     * @param id : 主键id
     * @return : 返回渠道信息
     */
    ChannelDTO getById(Long id);
}
