package com.zanxiang.manage.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.manage.domain.params.GameAccountUpdateParam;
import com.zanxiang.manage.domain.vo.GameAccountVO;
import com.zanxiang.mybatis.entity.GameApplet;

/**
 * @author : lingfeng
 * @time : 2022-07-08
 * @description : 微信小游戏(小程序)
 */
public interface GameAppletService extends IService<GameApplet> {

    /**
     * 获取账号信息配置
     *
     * @param id : 游戏id
     * @return : 账号配置信息
     */
    GameAccountVO getGameAccount(Long id);

    /**
     * 获取账号信息配置
     *
     * @param param : 更新参数
     * @return : 账号配置信息
     */
    Boolean gameAccountAddOrUpdate(GameAccountUpdateParam param);

    /**
     * 获取游戏小程序二维码
     *
     * @param gameId : 游戏id
     * @return : 返回游戏二维码
     */
    String getQrCod(Long gameId);
}
