package com.zanxiang.manage.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.manage.domain.params.GamePictureParam;
import com.zanxiang.manage.domain.vo.GamePictureVO;
import com.zanxiang.mybatis.entity.GamePicture;

/**
 * @author : lingfeng
 * @time : 2022-07-12
 * @description : 游戏图片
 */
public interface GamePictureService extends IService<GamePicture> {

    /**
     * 根据游戏id查询
     *
     * @param gameId : 游戏id
     * @return 返回游戏图片信息
     */
    GamePictureVO getByGameId(Long gameId);

    /**
     * 游戏图片添加或更新
     *
     * @param param : 游戏图片参数
     * @return : 返回更新结果
     */
    Boolean addOrUpdate(GamePictureParam param);
}
