package com.zanxiang.manage.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zanxiang.manage.domain.params.GameUserListParam;
import com.zanxiang.manage.domain.vo.GameUserListVO;
import com.zanxiang.manage.domain.vo.GameUserVO;

/**
 * @author : lingfeng
 * @time : 2022-07-04
 * @description : 玩家游戏
 */
public interface GameUserService {

    /**
     * 查询玩家游戏列表
     *
     * @param param : 玩家游戏列表参数
     * @return : 返回单页数据
     */
    IPage<GameUserListVO> gameUserList(GameUserListParam param);

    /**
     * 获取指定用户对应vip等级最高的用户信息
     *
     * @param userId : 用户信息
     * @return : 返回玩家信息
     */
    GameUserVO getMaxVipGameUser(Long userId);

    /**
     * 获取指定用户对应vip等级最高的用户信息
     *
     * @param id : 主键id
     * @return : 返回玩家信息
     */
    GameUserVO getById(Long id);
}
