package com.zanxiang.manage.service.Impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zanxiang.common.utils.bean.BeanUtils;
import com.zanxiang.manage.domain.params.LogPayCpParam;
import com.zanxiang.manage.domain.vo.LogPayCpVO;
import com.zanxiang.manage.service.LogPayCpService;
import com.zanxiang.mybatis.entity.LogPayCp;
import com.zanxiang.mybatis.mapper.LogPayCpMapper;
import org.springframework.stereotype.Service;

import java.util.Objects;

/**
 * 通知CP记录表 服务实现类
 *
 * @author xufeng
 * @date 2022-07-05 13:53
 */
@Service
public class LogPayCpServiceImpl extends ServiceImpl<LogPayCpMapper, LogPayCp> implements LogPayCpService {

    @Override
    public IPage<LogPayCpVO> list(LogPayCpParam param) {
        LogPayCp data = BeanUtils.copy(param, LogPayCp.class);
        return page(param.toPage(), new QueryWrapper<LogPayCp>().setEntity(data)).convert(this::toVo);
    }


    private LogPayCpVO toVo(LogPayCp logPayCp) {
        if (Objects.isNull(logPayCp)) {
            return null;
        }
        return BeanUtils.copy(logPayCp, LogPayCpVO.class);
    }

}
