package com.zanxiang.manage.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zanxiang.manage.domain.params.IpBanAddParam;
import com.zanxiang.manage.domain.params.IpBanListParam;
import com.zanxiang.manage.domain.params.IpBanUpdateParam;
import com.zanxiang.manage.domain.vo.IpBanVO;

/**
 * @author : lingfeng
 * @time : 2022-06-28
 * @description : ip封禁管理
 */
public interface IpBanService {

    /**
     * 查询ip封禁列表
     *
     * @param param : 查询参数
     * @return : 返回单页数据
     */
    IPage<IpBanVO> list(IpBanListParam param);

    /**
     * 添加封禁ip
     *
     * @param param : 添加的ip列表
     * @return : 返回添加结果
     */
    Boolean addIp(IpBanAddParam param);

    /**
     * ip封禁或者解封
     *
     * @param param : ip封禁更新参数
     * @return : 返回更新结果
     */
    Boolean ipBanOrRemove(IpBanUpdateParam param);
}
