package com.zanxiang.manage.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.manage.domain.params.OrderParam;
import com.zanxiang.manage.domain.params.UserOrderListParam;
import com.zanxiang.manage.domain.vo.OrderListVO;
import com.zanxiang.manage.domain.vo.UserOrderListVO;
import com.zanxiang.mybatis.entity.Order;

/**
 * @author : lingfeng
 * @time : 2022-07-05
 * @description : 用户订单
 */
public interface OrderService extends IService<Order> {

    /**
     * 获取用户下单记录
     *
     * @param param : 参数
     * @return : 返回单页数据
     */
    IPage<UserOrderListVO> orderList(UserOrderListParam param);

    /**
     * 订单列表查询
     *
     * @param param : 查询参数
     * @return : 返回订单列表
     */
    OrderListVO orderList(OrderParam param);
}
