package com.zanxiang.manage.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.manage.domain.bo.PayApplicationBO;
import com.zanxiang.manage.domain.params.PayApplicationListNoPageParam;
import com.zanxiang.manage.domain.params.PayApplicationListParam;
import com.zanxiang.manage.domain.vo.PayApplicationVO;
import com.zanxiang.mybatis.entity.PayApplication;

import java.util.List;

/**
 * 游戏应用表 服务类接口
 *
 * @author xufeng
 * @date 2022-06-20 15:16
 */
public interface PayApplicationService extends IService<PayApplication> {
    /**
     * 根据id新增与更新操作
     *
     * @param bo
     * @return
     */
    Boolean saveOrUpdate(PayApplicationBO bo);

    /**
     * shang
     *
     * @param bo
     * @return
     */
    IPage<PayApplicationVO> list(PayApplicationListParam bo);

    /**
     * shang
     *
     * @param bo
     * @return
     */
    List<PayApplicationVO> listNoPage(PayApplicationListNoPageParam bo);

    /**
     * 获取游戏应用二维码图片地址
     *
     * @param id : 应用id
     * @return : 返回游戏二维码
     */
    String getQrCode(Long id);
}
