package com.zanxiang.manage.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.manage.domain.dto.PromoAccountDTO;
import com.zanxiang.manage.domain.vo.PromoAccountChoiceVO;
import com.zanxiang.manage.domain.vo.PromoPitcherChoiceVO;
import com.zanxiang.mybatis.entity.PromoAccount;

import java.util.List;
import java.util.Map;

/**
 * @author : lingfeng
 * @time : 2022-11-04
 * @description : 推广账号
 */
public interface PromoAccountService extends IService<PromoAccount> {

    /**
     * 推广账号选择列表查询
     *
     * @return : 返回所有推广账号信息
     */
    List<PromoAccountChoiceVO> promoAccountChoiceList();

    /**
     * 投手选择列表查询
     *
     * @return : 返回所有投手信息
     */
    List<PromoPitcherChoiceVO> promoPitcherChoiceList();

    /**
     * 通过帐户或投手id列表
     *
     * @param account   账户
     * @param pitcherId 投手id
     * @return {@link List}<{@link Long}>
     */
    List<Long> listByAccountOrPitcherId(String account, String pitcherId);

    /**
     * 注册渠道信息
     *
     * @return : 返回所有渠道信息
     */
    Map<Long, PromoAccountDTO> promoAccountMap();
}
