package com.zanxiang.manage.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.manage.domain.dto.PromoChannelDTO;
import com.zanxiang.manage.domain.vo.PromoChannelChoiceVO;
import com.zanxiang.mybatis.entity.PromoChannel;

import java.util.List;
import java.util.Map;

/**
 * @author : lingfeng
 * @time : 2022-10-31
 * @description : 推广渠道
 */
public interface PromoChannelService extends IService<PromoChannel> {

    /**
     * 注册渠道选择列表查询
     *
     * @return : 返回所有注册渠道信息
     */
    List<PromoChannelChoiceVO> promoChannelChoiceList();

    /**
     * 注册渠道信息
     *
     * @return : 返回所有渠道信息
     */
    Map<Long, PromoChannelDTO> promoChannelMap();

    /**
     * 通过帐户或投手id列表
     *
     * @param account   账户
     * @param pitcherId 投手id
     * @return {@link List}<{@link Long}>
     */
    List<Long> listByAccountOrPitcherId(String account, String pitcherId);
}
