package com.zanxiang.manage.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.manage.domain.dto.UserExtDTO;
import com.zanxiang.mybatis.entity.UserExt;

import java.util.Map;

/**
 * @author : lingfeng
 * @time : 2022-06-29
 * @description : 玩家拓展信息
 */
public interface UserExtService extends IService<UserExt> {

    /**
     * 多条件查询用户拓展信息
     *
     * @param realName : 真实姓名
     * @param regIp    : 注册ip
     * @param isAuth   : 是否实名
     * @return : 返回用户拓展信息列表
     */
    Map<Long, UserExtDTO> getUserExtList(String realName, String regIp, Boolean isAuth);

    /**
     * 注册ip相关条件查询用户拓展信息
     *
     * @param regIp : 参数
     * @return : 玩家信息
     */
    Map<Long, UserExtDTO> regIpCondition(String regIp);

    /**
     * 根据玩家id查询
     *
     * @param userId : 玩家id
     * @return : 返回玩家信息
     */
    UserExtDTO getById(Long userId);
}
