package com.zanxiang.mybatis.entity;

import com.baomidou.mybatisplus.annotation.*;
import lombok.*;

import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2022-06-06
 * @description : 游戏来源表
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ToString
@Builder
@TableName("t_game_category")
public class GameCategory {

    /**
     * 游戏分类ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 分类类型 1、游戏类型（微信小游戏/抖音小游戏/h5/app等） 2、游戏分类（策略游戏/卡牌游戏/）
     */
    private Integer type;

    /**
     * 标签名称
     */
    private String name;

    /**
     * 备注
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String remark;

    /**
     * 父分类id(顶层游戏分类为0)
     */
    private Long parentId;

    /**
     * 操作者id
     */
    private Long operatorId;

    /**
     * 操作者名字
     */
    private String operatorName;

    /**
     * 1 删除  0 正常
     */
    @TableLogic
    private Integer isDelete;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;
}