package com.zanxiang.mybatis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2022-09-23
 * @description : 游戏密钥
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ToString
@Builder
@TableName("t_game_ext")
public class GameExt implements Serializable {

    private static final long serialVersionUID = 5699964900570462660L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 游戏id
     */
    private Long gameId;

    /**
     * 游戏appId
     */
    private String appId;

    /**
     * 游戏key
     */
    private String appKey;

    /**
     * 登录，服务端验证key
     */
    private String loginKey;

    /**
     * 充值回调key
     */
    private String payKey;

    /**
     * 客服手机
     */
    private String customerPhone;

    /**
     * 客服QQ
     */
    private String customerQq;

    /**
     * 公众号id
     */
    private String mpAppId;

    /**
     * 公众号名字
     */
    private String mpAppName;

    /**
     * 公众号二维码图片地址
     */
    private String mpCode;

    /**
     * CP充值回调路径
     */
    private String payCallBackUrl;

    /**
     * 强制实名认证开关
     */
    private Boolean checkSwitch;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;
}