package com.zanxiang.mybatis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2022-07-12
 * @description : 游戏图片
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ToString
@Builder
@TableName("t_game_picture")
public class GamePicture {

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 游戏id
     */
    private Long gameId;

    /**
     * 游戏头像
     */
    private String avatarImg;

    /**
     * 小程序码图片
     */
    private String appletImg;

    /**
     * 小游戏卡片标题
     */
    private String cardTitle;

    /**
     * 小游戏卡片url
     */
    private String cardUrl;

    /**
     * 小游戏卡片图片
     */
    private String cardImg;

    /**
     * 从入口图片打开
     */
    private Boolean isOpenInlet;

    /**
     * 入口图片
     */
    private String inletImg;

    /**
     * 发现游戏图
     */
    private String findImg;

    /**
     * 精品推荐图
     */
    private String recommendImg;

    /**
     * 红包试玩图
     */
    private String tryPayImg;

    /**
     * 分享图名称
     */
    private String shareImgName;

    /**
     * 分享图
     */
    private String shareImg;

    /**
     * h5游戏图片
     */
    private String gamePictureImg;

    /**
     * h5游戏登录背景图
     */
    private String loginBackGroundImg;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;
}