package com.zanxiang.mybatis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.io.Serializable;
import java.util.Date;

/**
 * 注释游戏策略
 *
 * @author xufeng
 * @date 2022-07-01 11:38
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ToString
@Builder
@TableName("t_game_strategy")
public class GameStrategy implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 策略名称
     */
    private String name;

    /**
     * 策略类型 1:订单起量切换规则
     */
    private Integer type;

    /**
     * 关联游戏id
     */
    private Long gameId;

    /**
     * 0正常 1删除
     */
    @TableLogic
    private Integer isDelete;

    /**
     * 状态 0正常 1不可用
     */
    private Integer status;

    /**
     * 配置
     */
    private String config;

    /**
     * 渠道
     */
    private Long channel;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;
}
