package com.zanxiang.mybatis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2022-06-06
 * @description : 玩家游戏表
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ToString
@Builder
@TableName("t_game_user")
public class GameUser {

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 用户 id
     */
    private Long userId;

    /**
     * 所属渠道ID
     */
    private Long agentId;

    /**
     * 导量的渠道ID
     */
    private Long guidedAgentId;

    /**
     * 游戏ID
     */
    private Long gameId;

    /**
     * 昵称
     */
    private String nickname;

    /**
     * 最近默认 2 默认 1 不默认
     */
    private Boolean isDefault;

    /**
     * 状态 2正常 1锁定
     */
    private Boolean status;

    /**
     * 充值次数
     */
    private Integer rechargeCount;

    /**
     * 充值金额
     */
    private BigDecimal rechargeMoney;

    /**
     * 最近充值时间
     */
    private LocalDateTime lastRechargeTime;

    /**
     * 平台币余额
     */
    private BigDecimal platformCoin;

    /**
     * 是否GS
     */
    private Boolean isGs;

    /**
     * 客服id
     */
    private Long customerId;

    /**
     * 创角数
     */
    private Integer roleCount;

    /**
     * 拥有角色最高vip等级
     */
    private Integer roleVipMax;

    /**
     * 开始玩时间
     */
    private LocalDateTime createTime;

    /**
     * 最后玩时间
     */
    private LocalDateTime updateTime;
}