package com.zanxiang.mybatis.entity;

import com.baomidou.mybatisplus.annotation.*;
import lombok.*;

import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2022-06-28
 * @description : Ip封禁表
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ToString
@Builder
@TableName("t_ip_ban")
public class IpBan {

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * ip
     */
    private String ip;

    /**
     * 封禁时间
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private LocalDateTime banTime;

    /**
     * 状态, 0 正常 1 封禁
     */
    private Integer status;

    /**
     * 操作者id
     */
    private Long operateId;

    /**
     * 操作者名字
     */
    private String operateName;

    /**
     * 1:删除,0: 正常
     */
    @TableLogic
    private Integer isDelete;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;
}