package com.zanxiang.mybatis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 通知CP记录表
 *
 * @author xufeng
 * @date 2022-06-27 14:07
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@TableName("t_log_pay_cp")
public class LogPayCp implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 自增ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 订单号
     */
    private String orderId;

    /**
     * CP订单号
     */
    private String cpOrderId;

    /**
     * 充值成功标志，1为待处理，2为成功，3为失败
     */
    private Integer status;

    /**
     * 充值回调标志，1为待处理，2为成功，3为失败
     */
    private Integer cpStatus;

    /**
     * CP回调地址
     */
    private String cpPaybackUrl;

    /**
     * CP回调参数
     */
    private String params;

    /**
     * CP附加参数
     */
    private String ext;

    /**
     * 通知次数
     */
    private Integer notifyCnt;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;
}
