package com.zanxiang.mybatis.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * 注释游戏订单全量宽表
 *
 * @author xufeng
 * @date 2022-07-04 11:45
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@TableName("t_order_complete")
public class OrderComplete implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 订单ID
     */
    private Long orderId;

    /**
     * 充值游戏id
     */
    private Long gameId;

    /**
     * 充值游戏名称
     */
    private String gameName;

    /**
     * 充值游戏类型
     */
    private String gameCategory;

    /**
     * 0正常 1删除
     */
    private Integer isDelete;

    /**
     * 订单下单日期（不含时分秒）
     */
    private LocalDateTime orderDate;

    /**
     * cp订单号
     */
    private String cpOrderId;

    /**
     * 第三方支付订单号
     */
    private String merchantOrderNo;

    /**
     * 玩家id
     */
    private Long userId;

    /**
     * 玩家账号
     */
    private String userAccount;

    /**
     * 玩家注册时间
     */
    private Date userRegisterTime;

    /**
     * 注册游戏id
     */
    private Long userRegisterGameId;

    /**
     * 注册游戏
     */
    private String userRegisterGame;

    /**
     * 注册游戏分类
     */
    private String userRegisterGameCategory;

    /**
     * 玩家注册渠道
     */
    private String userRegisterChannel;

    /**
     * cp
     */
    private Long cpId;

    /**
     * 投放人
     */
    private String agentId;

    /**
     * 推广账号
     */
    private String agentAccount;

    /**
     * 推广媒体
     */
    private String agentMedia;

    /**
     * 推广广告
     */
    private String agentAdvert;

    /**
     * 产品名称
     */
    private String productId;

    /**
     * 产品名称
     */
    private String productName;

    /**
     * 订单金额
     */
    private BigDecimal orderAmount;

    /**
     * 订单实付金额
     */
    private BigDecimal realAmount;

    /**
     * 支付方式 id
     */
    private String payWayId;

    /**
     * 支付方式
     */
    private String payWay;

    /**
     * 支付场景
     */
    private String payDevice;

    /**
     * 收款商户号
     */
    private String merchantNo;

    /**
     * 收款商户名称
     */
    private String merchantName;

    /**
     * 游戏区服
     */
    private String gameRegional;

    /**
     * 游戏角色id
     */
    private String gameRoleId;

    /**
     * 游戏角色
     */
    private String gameRole;

    /**
     * 游戏等级
     */
    private String gameLevel;

    /**
     * 游戏角色vip
     */
    private String gameVip;

    /**
     * 操作系统
     */
    private String fromDevice;

    /**
     * 是否切量  0 否 1 是
     */
    private Integer isSwitch;

    /**
     * 支付时间
     */
    private Date payTime;

    /**
     * 结束时间
     */
    private String endTime;

    /**
     * cp最后通知时间
     */
    private Date lastCpNotifyTime;

    /**
     * 支付状态，1待支付，2 支付成功，-1 已取消
     */
    private Integer status;

    /**
     * CP通知状态，1为待处理，2为成功，-1为失败
     */
    private Integer cpStatus;

    /**
     * 是否首充 0 否 1 是
     */
    private Integer isFirstRecharge;

    /**
     * 广告上报状态
     */
    private Integer advertNotifyStatus;

    /**
     * 广告上报方式 0 系统 1 人工
     */
    private Integer advertNotifyType;

    /**
     * 渠道
     */
    private String channel;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;
}
