package com.zanxiang.mybatis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

/**
 * 游戏应用表
 *
 * @author xufeng
 * @date 2022-06-20 15:16
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@TableName("t_pay_application")
public class PayApplication implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 应用名称
     */
    private String name;

    /**
     * 类型 1 微信小程序
     */
    private Integer type;

    /**
     * 应用AppSecret
     */
    private String appSecret;

    /**
     * 版本
     */
    private String version;

    /**
     * 应用描述
     */
    private String appDesc;

    /**
     * 应用地址
     */
    private String appUrl;

    /**
     * 应用头像
     */
    private String appLogo;

    /**
     * 小程序码
     */
    private String miniCode;

    /**
     * 应用appid
     */
    private String appId;

    /**
     * 应用原始id
     */
    private String primevalId;

    /**
     * 应用主体
     */
    private String company;

    /**
     * 登录账号
     */
    private String loginName;

    /**
     * 登录密码
     */
    private String loginPassword;

    /**
     * 管理员
     */
    private String managePerson;

    /**
     * 备注
     */
    private String remark;

    /**
     * 1 删除  0 正常
     */
    @TableLogic
    private Integer isDelete;

    /**
     * 状态 1 不可用 0 正常
     */
    private Integer status;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;
}
