package com.zanxiang.mybatis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2022-10-26
 * @description : 推广账号
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ToString
@Builder
@TableName("t_promo_account")
public class PromoAccount {

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 推广账号id
     */
    private String account;

    /**
     * 推广账号名称
     */
    private String name;

    /**
     * 投手项目组
     */
    private String pitcherGroupId;

    /**
     * 投手项目组名称
     */
    private String pitcherGroupName;

    /**
     * 投手id
     */
    private String pitcherId;

    /**
     * 投手名称
     */
    private String pitcherName;

    /**
     * 推广媒体id
     */
    private Long mediaId;

    /**
     * 推广媒体名称
     */
    private String mediaName;

    /**
     * 推广账号类型
     */
    private String accountType;

    /**
     * 备注
     */
    private String remark;

    /**
     * 状态, 0 : 可用, 1: 禁用
     */
    private Integer status;

    /**
     * 1:删除,0: 正常
     */
    @TableLogic
    private Integer isDelete;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;
}