package com.zanxiang.mybatis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.util.Date;

/**
 * @author : lingfeng
 * @time : 2022-10-26
 * @description : 推广渠道
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ToString
@Builder
@TableName("t_promo_channel")
public class PromoChannel {

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 推广账号主键id
     */
    private Long accountId;

    /**
     * 推广媒体id
     */
    private Long mediaId;

    /**
     * 推广媒体名称
     */
    private String mediaName;

    /**
     * 服务商
     */
    private String provider;

    /**
     * 游戏id
     */
    private Long gameId;

    /**
     * 二维码
     */
    private String code;

    /**
     * 推广路径
     */
    private String path;

    /**
     * 渠道
     */
    private String channel;

    /**
     * 状态, 0 : 可用, 1: 禁用
     */
    private Integer status;

    /**
     * 1:删除,0: 正常
     */
    @TableLogic
    private Integer isDelete;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;
}