package com.zanxiang.mybatis.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2022-06-06
 * @description : 玩家拓展表
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ToString
@Builder
@TableName("t_user_ext")
public class UserExt {

    /**
     * user_id
     */
    @TableId(value = "user_id")
    private Long userId;

    /**
     * 注册IP
     */
    private String regIp;

    /**
     * 注册手机号
     */
    private String regMobile;

    /**
     * 注册邮箱
     */
    private String regEmail;

    /**
     * 注册游戏id
     */
    private Long regGameId;

    /**
     * 注册来源
     */
    private String regFrom;

    /**
     * 是否实名认证
     */
    private Boolean isAuth;

    /**
     * 身份证类型 1、身份证
     */
    private Integer identifyType;

    /**
     * 证件号码
     */
    private String idCard;

    /**
     * 真实姓名
     */
    private String realName;

    /**
     * 生日
     */
    private String birthday;

    /**
     * 性别, 0 : 未知, 1 : 男, 2 : 女
     */
    private Integer sex;

    /**
     * 实名认证平台, 1 国家网络防沉迷
     */
    private Integer authPlatform;

    /**
     * 实名认证时间
     */
    private LocalDateTime authTime;

    /**
     * 中宣部PI
     */
    private String zxbPi;

    /**
     * 上次登录时间
     */
    private LocalDateTime lastLoginTime;

    /**
     * 上次登录ip
     */
    private String lastLoginIp;

    /**
     * 注册时间
     */
    private LocalDateTime createTime;

    /**
     * 更改时间
     */
    private LocalDateTime updateTime;
}