package com.zanxiang.mybatis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2022-06-06
 * @description : 用户登录日志
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ToString
@Builder
@TableName("t_user_login_log")
public class UserLoginLog {

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 玩家id
     */
    private Long userId;

    /**
     * 游戏id
     */
    private Long gameId;

    /**
     * 角色id
     */
    private String roleId;

    /**
     * 操作系统
     */
    private String os;

    /**
     * ip
     */
    private String ip;

    /**
     * 客户端类型, 1 : 安卓app
     */
    private Integer deviceType;

    /**
     * 类型, 0 : 登录, 1 : 注销
     */
    private Integer type;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;
}