package com.zanxiang.mybatis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2022-06-06
 * @description : 第三方用户授权登录表
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ToString
@Builder
@TableName("t_user_oauth")
public class UserOauth {

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 关联的本站用户id
     */
    private Long userId;

    /**
     * 用户来源（微信/QQ/华为）
     */
    private String from;

    /**
     * 配置ID
     */
    private String confId;

    /**
     * 第三方open id
     */
    private String openid;

    /**
     * 第三方秘钥
     */
    private String accessToken;

    /**
     * 第三方唯一用户id
     */
    private String unionid;

    /**
     * 第三方昵称
     */
    private String nickname;

    /**
     * 国家
     */
    private String country;

    /**
     * 省份
     */
    private String province;

    /**
     * 城市
     */
    private String city;

    /**
     * 1 男 2 女 3 未知
     */
    private Boolean six;

    /**
     * 头像
     */
    private String avatar;

    /**
     * access_token过期时间
     */
    private Long expiresIn;

    /**
     * 扩展信息
     */
    private String more;

    /**
     * 最后登录ip
     */
    private String lastLoginIp;

    /**
     * 最后登录时间
     */
    private Long lastLoginTime;

    /**
     * 绑定时间
     */
    private LocalDateTime createTime;
}