package com.zanxiang.sdk.constant;

/**
 * @author : lingfeng
 * @time : 2022-06-21
 * @description : 第三方api通用url
 */
public class ApiUrlConstant {

    //-------------------- 扣扣api --------------------

    /**
     * QQ授权重定向地址
     */
    public static final String QQ_AUTH_URL = "https://graph.qq.com/oauth2.0/authorize";

    /**
     * QQ授权回调地址
     */
    public static final String QQ_REDIRECT_URL = "http://127.0.0.1:8080/qqCallback";

    /**
     * QQ网页获取授权token地址
     */
    public static final String QQ_WEB_TOKEN_URL = "https://graph.qq.com/oauth2.0/token";

    /**
     * QQ获取用户openId地址
     */
    public static final String QQ_USER_OPENID_URL = "https://graph.qq.com/oauth2.0/me";

    /**
     * QQ获取用户信息地址
     */
    public static final String QQ_USER_INFO_URL = "https://graph.qq.com/user/get_user_info";

    //-------------------- 微信api --------------------

    /**
     * VX授权重定向地址
     */
    public static final String VX_AUTH_URL = "https://open.weixin.qq.com/connect/qrconnect";

    /**
     * VX授权回调地址
     */
    public static final String VX_REDIRECT_URL = "http://127.0.0.1:8080/vxCallback";

    /**
     * VX网页获取授权token地址
     */
    public static final String VX_WEB_TOKEN_URL = "https://api.weixin.qq.com/sns/oauth2/access_token";

    /**
     * VX网页获取刷新token地址
     */
    public static final String VX_WEB_TOKEN_REFRESH_URL = "https://api.weixin.qq.com/sns/oauth2/refresh_token";

    /**
     * VX网页检测token地址
     */
    public static final String VX_WEB_TOKEN_CHECK_URL = "https://api.weixin.qq.com/sns/auth";

    /**
     * VX网页授权获取用户信息
     */
    public static final String VX_WEB_USER_INFO_URL = "https://api.weixin.qq.com/sns/userinfo";
}
