package com.zanxiang.sdk.domain.bo;

import lombok.Data;

/**
 * 支付调起生成相关参数
 *
 * @author xufeng
 * @date 2022/6/8 15:21
 */
@Data
public class ProductPayParamBO {

    /**
     * 游戏id
     */
    private String gameId;

    /**
     * 玩家id
     */
    private Long userId;

    /**
     * 商品ID
     */
    private String productId;

    /**
     * 订单名称
     */
    private String subject;

    /**
     * 商品描述
     */
    private String body;

    /**
     * 总金额(单位是分)
     */
    private String totalFee;

    /**
     * 订单号(唯一)
     */
    private String outTradeNo;

    /**
     * 发起人IP地址
     */
    private String spbillCreateIp;

    /**
     * 附件数据主要用于商户携带订单的自定义数据
     */
    private ProductPayAttachParamBO attach;

    /**
     * 支付方式 (1：PC,平板 2：Wap 3:App )
     */
    private Integer payDevice;

    /**
     * 支付类型(1:支付宝 2:微信 3:米大师)
     */
    private Integer payWay;

    /**
     * 微信小程序商城支付code
     */
    private String code;

    //================以下非传项=================

    /**
     * 前台回调地址  非扫码支付使用
     */
    private String frontUrl;

    /**
     * 支付相关配置
     */
    private Object config;

    /**
     * 支付类型详情（android / ios/ window）
     */
    private String deviceSystem;

}
