package com.zanxiang.sdk.domain.dto;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

@Data
public class PlatformOrderDTO implements Serializable {

    /**
     * id
     */
    private String id;

    /**
     * cpId
     */
    private Long cpId;

    /**
     * CP订单号
     */
    private String cpOrderId;

    /**
     * 充值用户
     */
    private Long userId;

    /**
     * 游戏玩家ID
     */
    private Long mgUserId;

    /**
     * 角色id
     */
    private String roleId;

    /**
     * 角色名称
     */
    private String roleName;

    /**
     * 游戏服务器id,默认为0
     */
    private String serverId;

    /**
     * 所在服务器名称
     */
    private String serverName;

    /**
     * 游戏ID
     */
    private Long gameId;

    /**
     * 货物总价
     */
    private BigDecimal amount;

    /**
     * 实际支付金额
     */
    private BigDecimal realAmount;

    /**
     * 游戏商品ID
     */
    private String productId;

    /**
     * 游戏商品数量
     */
    private Integer productCnt;

    /**
     * 游戏商品名称
     */
    private String productName;

    /**
     * 优惠券抵扣
     */
    private BigDecimal couponAmount;

    /**
     * 平台币使用金额
     */
    private BigDecimal ptbAmount;

    /**
     * 游戏币使用余额
     */
    private BigDecimal gmAmount;

    /**
     * 使用积分
     */
    private Integer integral;

    /**
     * 使用积分抵多少钱
     */
    private BigDecimal integralMoney;

    /**
     * 返利数量 默认为0
     */
    private BigDecimal rebateAmount;

    /**
     * 支付平台返回交易订单号
     */
    private String merchantOrderNo;

    /**
     * 支付状态，1待支付，2 支付成功，-1 已取消
     */
    private Integer status;

    /**
     * 支付方式
     */
    private String gamePaywayId;

    /**
     * 支付时间
     */
    private LocalDateTime payTime;

    /**
     * 通知次数
     */
    private Integer cpNotifyCnt;

    /**
     * 最近通知时间
     */
    private LocalDateTime lastCpNotifyTime;

    /**
     * 客服处理： 2正常； 1纠纷
     */
    private Integer isHandle;

    /**
     * 是否已分成  1未分成 2 已分成
     */
    private Integer isDistribute;

    /**
     * 是否切量  0 否 1 是
     */
    private Boolean isSwitch;

    /**
     * CP通知状态，1为待处理，2为成功，-1为失败
     */
    private Integer cpStatus;

    /**
     * CP附加参数
     */
    private String ext;

    /**
     * 用户备注
     */
    private String memNote;

    /**
     * 管理员备注
     */
    private String adminNote;

    /**
     * 订单成功备注信息
     */
    private String remark;

    /**
     * 渠道
     */
    private String channel;

    /**
     * 结束时间
     */
    private String endTime;

    /**
     * 0正常 1删除
     */
    private Integer isDelete;

    /**
     * 是否首充 0 否 1 是
     */
    private Integer isFirstRecharge;

    /**
     * 操作系统
     */
    private String fromDevice;

    /**
     * 支付类型, 1:PC, 2: h5支付, 3: App支付, 4: 小程序支付, 5: 米大师支付
     */
    private Integer payDevice;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;
}
