package com.zanxiang.sdk.domain.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zanxiang.mybatis.entity.OrderComplete;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

/**
 * @author xufeng
 * @date 2022/7/6 11:34
 */
public interface OrderCompleteCreateMapper extends BaseMapper<OrderComplete> {

    @Select("<script> " +
            "SELECT o.*,o.id as orderId,o.amount as orderAmount,u.username AS agentAccount,u.create_time AS regTime,ux.reg_game_id AS regGameId,ux.reg_from AS regFrom,gur.regional_name AS regionalName,gur.role_id AS gameRoleId,gur.role_level AS gameLevel,gur.role_name AS gameRole,gur.role_vip_level AS gameVip,g.`name` AS gameName,gc1.`name` AS gameCategory,g2.`name` AS regGameName,gc2.`name` AS regGameCategory,gpw.pay_way_id AS payWayId,pw.pay_name AS payWayName,pm.merchant_name AS merchantName,pm.merchant_no AS merchantNo FROM t_order o LEFT JOIN t_user u ON o.user_id=u.id LEFT JOIN t_user_ext ux ON u.id=ux.user_id LEFT JOIN t_game_user_role gur ON gur.role_id=o.role_id LEFT JOIN t_game g ON g.id=o.game_id LEFT JOIN t_game_category gc1 ON gc1.id=g.category LEFT JOIN t_game g2 ON g2.id=ux.reg_game_id=g2.id LEFT JOIN t_game_category gc2 ON gc2.id=g2.category LEFT JOIN t_game_pay_way gpw ON gpw.id=o.game_payway_id LEFT JOIN t_pay_way pw ON gpw.pay_way_id=pw.id LEFT JOIN t_pay_merchant pm ON pm.id=gpw.pay_merchant_id " +
            "WHERE o.id=#{orderId};" +
            " </script>")
    OrderComplete info(@Param("orderId") String orderId);


//    SELECT
//    o.*,
//    o.id as orderId,
//    o.amount as orderAmount,
//    u.username as agentAccount,
//    u.create_time as regTime,
//    ux.reg_game_id as regGameId,
//    ux.reg_from as regFrom,
//    gur.regional_name as regionalName,
//    gur.role_id as gameRoleId,
//    gur.role_level as gameLevel,
//    gur.role_name as gameRole,
//    gur.role_vip_level as gameVip,
//    g.`name` as gameName,
//    gc1.`name` as gameCategory,
//    g2.`name`as regGameName,
//    gc2.`name` as regGameCategory,
//    gpw.pay_way_id as payWayId,
//    pw.pay_name as payWayName,
//    pm.merchant_name as merchantName,
//    pm.merchant_no as merchantNo
//            FROM
//    h_order o
//    LEFT JOIN h_user u ON o.user_id = u.id
//    LEFT JOIN h_user_ext ux ON u.id = ux.user_id
//    LEFT JOIN h_game_user_role gur ON gur.role_id = o.role_id
//    LEFT JOIN h_game g ON g.id = o.game_id
//    LEFT JOIN h_game_category gc1 ON gc1.id = g.category
//    LEFT JOIN h_game g2 ON g2.id = ux.reg_game_id = g2.id
//    LEFT JOIN h_game_category gc2 ON gc2.id = g2.category
//    LEFT JOIN h_game_pay_way gpw on gpw.id = o.game_payway_id
//    LEFT JOIN h_pay_way pw ON gpw.pay_way_id = pw.id
//    LEFT JOIN h_pay_merchant pm ON pm.id = gpw.pay_merchant_id
//    WHERE o.id = 1;
}
