package com.zanxiang.sdk.domain.params;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author : lingfeng
 * @time : 2022-06-14
 * @description : 修改密码参数
 */
@Data
public class UpdatePasswordParam {

    /**
     * 旧密码
     */
    @ApiModelProperty(notes = "旧密码")
    private String oldPassword;

    /**
     * 新密码
     */
    @ApiModelProperty(notes = "新密码")
    @NotBlank(message = "新密码不可为空")
    private String newPassword;
}
