package com.zanxiang.sdk.domain.params;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @author : xufeng
 * @time : 2022-06-20
 * @description : 用户信息
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class UserData implements Serializable {

    private static final long serialVersionUID = -7831270456996143737L;

    /**
     * 玩家id
     */
    private Long userId;

    /**
     * 游戏id
     */
    private Long gameId;

    /**
     * 客户端ip
     */
    private String ip;

    /**
     * token
     */
    private String token;

    /**
     * 过期时间
     */
    private Long expireTime;

    /**
     * 客户端类型, 1:安卓app, 2: 苹果iosApp, 3: h5网页, 4 : 小程序(小游戏)
     */
    private Integer deviceType;

    /**
     * 客户端操作系统, android, ios, windows, mac
     */
    private String deviceSystem;

    /**
     * 用户设备mac地址
     */
    private String mac;

    /**
     * 设备唯一编号IMEI
     */
    private String imei;

    /**
     * 安卓id, (仅安卓设备才有值)
     */
    private String androidId;

    /**
     * 用户渠道唯一标识
     */
    private String channel;
}
