package com.zanxiang.sdk.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.mybatis.entity.GameExt;

/**
 * @author : lingfeng
 * @time : 2022-09-23
 * @description : 游戏密钥
 */
public interface GameExtService extends IService<GameExt> {

    /**
     * 根据游戏id查询密钥
     *
     * @param gameId : 游戏id
     * @return : 返回游戏密钥
     */
    GameExt getByGameId(Long gameId);

    /**
     * 根据游戏appId查询密钥
     *
     * @param appId : 游戏appId
     * @return : 返回游戏密钥
     */
    GameExt getByGameAppId(String appId);
}
