package com.zanxiang.sdk.service.Impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zanxiang.common.enums.DeleteEnum;
import com.zanxiang.common.enums.MaxPayLock;
import com.zanxiang.common.enums.StatusEnum;
import com.zanxiang.common.utils.StringUtils;
import com.zanxiang.mybatis.entity.GamePayWay;
import com.zanxiang.mybatis.mapper.GamePayWayMapper;
import com.zanxiang.sdk.service.GamePayWayService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

/**
 * @author xufeng
 * @date 2022/6/13 11:46
 */
@Slf4j
@Service
public class GamePayWayServiceImpl extends ServiceImpl<GamePayWayMapper, GamePayWay> implements GamePayWayService {

    @Override
    public GamePayWay getInfo(String id) {
        return getOne(new LambdaQueryWrapper<GamePayWay>().eq(GamePayWay::getId, id).eq(GamePayWay::getIsDelete, DeleteEnum.NO.getCode()));
    }

    @Override
    public GamePayWay getPayWayToOrderPay(String gameId, Integer payType) {
        GamePayWay payInfo = getOne(new LambdaQueryWrapper<GamePayWay>()
                .eq(GamePayWay::getGameId, gameId)
                .eq(GamePayWay::getPayWayId, payType)
                .eq(GamePayWay::getIsDelete, DeleteEnum.NO.getCode())
                .eq(GamePayWay::getStatus, StatusEnum.YES.getCode())
                .eq(GamePayWay::getMaxPayLock, MaxPayLock.UNLOCK.getCode())
                .last("limit 1")
                .orderBy(true, true, GamePayWay::getCreateTime));
        if (payInfo == null)
            throw new RuntimeException("暂无该游戏支付方式 gameId:" + gameId + " payType:" + payType);

        if (StringUtils.isEmpty(payInfo.getPayConfig()))
            throw new RuntimeException("游戏支付方式为空 gameId:" + gameId + " payType:" + payType);
        return payInfo;
    }
}
