package com.zanxiang.sdk.service.Impl;

import com.baomidou.mybatisplus.core.conditions.update.LambdaUpdateWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zanxiang.common.enums.BanStatusEnum;
import com.zanxiang.mybatis.entity.IpBan;
import com.zanxiang.mybatis.mapper.IpBanMapper;
import com.zanxiang.sdk.service.IpBanService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.Objects;

/**
 * @author : lingfeng
 * @time : 2022-06-28
 * @description : ip封禁管理
 */
@Slf4j
@Service
public class IpBanServiceImpl extends ServiceImpl<IpBanMapper, IpBan> implements IpBanService {

    /**
     * 判断ip是否封禁状态
     *
     * @param ip : ip地址
     * @return : 返回是否封禁
     */
    @Override
    public boolean checkIpBan(String ip) {
        IpBan ipBan = super.getOne(new LambdaUpdateWrapper<IpBan>()
                .eq(IpBan::getIp, ip)
        );
        return ipBan != null && Objects.equals(ipBan.getStatus(), BanStatusEnum.BAN_STATUS.getStatus());
    }

}
