package com.zanxiang.sdk.service.Impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zanxiang.common.enums.DeviceTypeEnum;
import com.zanxiang.mybatis.entity.User;
import com.zanxiang.mybatis.entity.UserLoginLog;
import com.zanxiang.mybatis.mapper.UserLoginLogMapper;
import com.zanxiang.sdk.service.UserLoginLogService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

/**
 * @author : lingfeng
 * @time : 2022-06-13
 * @description : 用户登录日志
 */
@Slf4j
@Service
public class UserLoginLogServiceImpl extends ServiceImpl<UserLoginLogMapper, UserLoginLog> implements UserLoginLogService {

    /**
     * 添加用户登录日志
     *
     * @param realIp : 用户ip
     * @param user   : 用户信息
     * @param gameId : 游戏id
     */
    @Override
    public void addUserLoginLog(String realIp, User user, Long gameId, Integer type) {
        //创建对象
        UserLoginLog userLoginLog = UserLoginLog.builder()
                .userId(user.getId())
                .gameId(gameId)
                .ip(realIp)
                .deviceType(DeviceTypeEnum.DEVICE_TYPE_ANDROID.getDeviceType())
                .type(type)
                .build();
        super.save(userLoginLog);
    }
}
