package com.zanxiang.sdk.service;

import com.zanxiang.common.domain.ResultMap;
import com.zanxiang.sdk.domain.params.ProductPayParam;
import com.zanxiang.sdk.domain.params.UserData;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

/**
 * @author xufeng
 * @date 2022/6/8 15:31
 */
public interface OrderPayService {

    /**
     * 订单支付
     *
     * @param product  : 商品信息
     * @param userData : 用户信息
     * @return : 返回接过参数
     */
    ResultMap payCreate(ProductPayParam product, UserData userData);

    /**
     * 支付异步回调
     *
     * @param request  : 请求参数
     * @param response : 接过
     * @param payType  : 支付类型
     * @return : 返回接过
     * @throws IOException : 异常
     */
    String notify(HttpServletRequest request, HttpServletResponse response, Integer payType) throws IOException;

    /**
     * 异步回调
     *
     * @param request : 请求参数
     * @param payType : 支付类型
     * @return : 回调结果
     */
    ResultMap synNotify(HttpServletRequest request, Integer payType);

    /**
     * 订单支付结果查询
     *
     * @param orderId : 订单id
     * @return : 返回支付结果
     */
    Boolean payResult(String orderId);
}
