package com.zanxiang.sdk.service;

import com.zanxiang.sdk.domain.dto.PlatformOrderDTO;

/**
 * 订单履约逻辑
 *
 * @author xufeng
 * @date 2022/6/27 11:14
 */
public interface PerformOrderService {

    /**
     * cp方履约推送
     *
     * @param orderInfo
     */
    Boolean pushCp(PlatformOrderDTO orderInfo);

    /**
     * 生成订单宽表
     *
     * @param orderInfo
     * @return
     */
    Boolean createOrderComplete(PlatformOrderDTO orderInfo);

    /**
     * 检查订单是否为首单(账号首充)
     *
     * @param orderInfo
     * @return
     */
    Boolean checkIsFirstRecharge(PlatformOrderDTO orderInfo);

    /**
     * 更新游戏玩家充值统计
     *
     * @param orderInfo
     * @return
     */
    Boolean userRechargeTotal(PlatformOrderDTO orderInfo);

    /**
     * 更新商户号统计
     *
     * @param orderInfo
     * @return
     */
    Boolean payMerchantTotal(PlatformOrderDTO orderInfo);
}
