package com.zanxiang.sdk.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.mybatis.entity.Order;
import com.zanxiang.sdk.domain.bo.PlatformOrderBO;
import com.zanxiang.sdk.domain.dto.PlatformOrderDTO;

/**
 * 平台订单逻辑开发
 *
 * @author xufeng
 * @date 2022-06-06 17:06
 */

public interface PlatformOrderService extends IService<Order> {

    /**
     * 订单创建
     *
     * @param platformOrderBO
     * @return 订单id
     */
    String create(PlatformOrderBO platformOrderBO);

    /**
     * 订单支付
     *
     * @param platformOrderBO
     * @return true/false
     */
    Boolean pay(PlatformOrderBO platformOrderBO);

    /**
     * 单一订单详情获取
     *
     * @param id
     * @return PlatformOrderDTO
     */
    PlatformOrderDTO info(String id);
}
