package com.zanxiang.sdk.service;

import com.zanxiang.common.domain.ResultVO;
import com.zanxiang.common.enums.HttpStatusEnum;
import com.zanxiang.sdk.domain.params.SmsCheckParam;
import com.zanxiang.sdk.domain.params.SmsSendParam;

/**
 * @author : lingfeng
 * @time : 2022-06-13
 * @description :
 */
public interface SmsService {

    /**
     * 发送短信验证码
     *
     * @param smsSendParam : 获取短信验证码参数
     * @return : 返回发送结果
     */
    ResultVO<Boolean> smsSend(SmsSendParam smsSendParam);

    /**
     * 前端校验短信验证码
     *
     * @param smsCheckParam : 参数
     * @return : 返回验证结果和token
     */
    ResultVO<String> smsCheck(SmsCheckParam smsCheckParam);

    /**
     * 校验短信验证码
     *
     * @param type   : 短信类型
     * @param mobile : 手机号
     * @param code   : 验证码
     * @return : 返回验证结果
     */
    HttpStatusEnum smsCheck(Integer type, String mobile, String code);
}
